#ifdef __cplusplus
extern "C" {
#endif

int IGUIButtonIGUIButton(int environment, int parent, int id, int EGUIET_BUTTON, int arg5, int arg6, int arg7);

int IGUIButtonSetOverrideFont(int font);

int IGUIButtonSetImage(int image);

int IGUIButtonSetImage(int image, int pos);

int IGUIButtonSetPressedImage(int image);

int IGUIButtonSetPressedImage(int image, int pos);

int IGUIButtonSetSpriteBank(int bank);

int IGUIButtonSetSprite(int state, int index, int color, int arg4, int arg5, int loop);

int IGUIButtonSetIsPushButton(int isPushButton);

int IGUIButtonSetPressed(int pressed);

int IGUIButtonIsPressed();

int IGUIButtonSetUseAlphaChannel(int useAlphaChannel);

int IGUIButtonIsAlphaChannelUsed();

int IGUIButtonIsPushButton();

int IGUIButtonSetDrawBorder(int border);

int IGUIButtonIsDrawingBorder();

int IGUIButtonSetScaleImage(int scaleImage);

int IGUIButtonIsScalingImage();

int IGUIEnvironmentDrawAll();

int IGUIEnvironmentSetFocus(int element);

int IGUIEnvironmentGetFocus();

int IGUIEnvironmentRemoveFocus(int element);

int IGUIEnvironmentHasFocus(int element);

int IGUIEnvironmentGetVideoDriver();

int IGUIEnvironmentGetFileSystem();

int IGUIEnvironmentGetOSOperator();

int IGUIEnvironmentClear();

int IGUIEnvironmentPostEventFromUser(int event);

int IGUIEnvironmentSetUserEventReceiver(int evr);

int IGUIEnvironmentGetSkin();

int IGUIEnvironmentSetSkin(int skin);

int IGUIEnvironmentCreateSkin(int type);

int IGUIEnvironmentCreateImageList(int texture, int imageSize, int useAlphaChannel);

int IGUIEnvironmentGetFont(int filename);

int IGUIEnvironmentGetBuiltInFont();

int IGUIEnvironmentGetSpriteBank(int filename);

int IGUIEnvironmentAddEmptySpriteBank(int name);

int IGUIEnvironmentGetRootGUIElement();

int IGUIEnvironmentAddButton(int rectangle, int parent, int id, char * text, char * tooltiptext);

int IGUIEnvironmentAddWindow(int rectangle, int modal, char * text, int parent, int id);

int IGUIEnvironmentAddModalScreen(int parent);

int IGUIEnvironmentAddMessageBox(char * caption, char * text, int modal, int flags, int parent, int id);

int IGUIEnvironmentAddScrollBar(int horizontal, int rectangle, int parent, int id);

int IGUIEnvironmentAddImage(int image, int pos, int useAlphaChannel, int parent, int id, char * text);

int IGUIEnvironmentAddImage(int rectangle, int parent, int id, char * text);

int IGUIEnvironmentAddCheckBox(int checked, int rectangle, int parent, int id, char * text);

int IGUIEnvironmentAddListBox(int rectangle, int parent, int id, int drawBackground);

int IGUIEnvironmentAddTreeView(int rectangle, int parent, int id, int drawBackground, int scrollBarVertical, int scrollBarHorizontal);

int IGUIEnvironmentAddMeshViewer(int rectangle, int parent, int id, char * text);

int IGUIEnvironmentAddFileOpenDialog(char * title, int modal, int parent, int id);

int IGUIEnvironmentAddColorSelectDialog(char * title, int modal, int parent, int id);

int IGUIEnvironmentAddStaticText(char * text, int rectangle, int border, int wordWrap, int parent, int id, int fillBackground);

int IGUIEnvironmentAddEditBox(char * text, int rectangle, int border, int parent, int id);

int IGUIEnvironmentAddSpinBox(char * text, int rectangle, int border, int parent, int id);

int IGUIEnvironmentAddInOutFader(int rectangle, int parent, int id);

int IGUIEnvironmentAddTabControl(int rectangle, int parent, int fillbackground, int border, int id);

int IGUIEnvironmentAddTab(int rectangle, int parent, int id);

int IGUIEnvironmentAddContextMenu(int rectangle, int parent, int id);

int IGUIEnvironmentAddMenu(int parent, int id);

int IGUIEnvironmentAddToolBar(int parent, int id);

int IGUIEnvironmentAddComboBox(int rectangle, int parent, int id);

int IGUIEnvironmentAddTable(int rectangle, int parent, int id, int drawBackground);

int IGUIEnvironmentGetDefaultGUIElementFactory();

int IGUIEnvironmentRegisterGUIElementFactory(int factoryToAdd);

int IGUIEnvironmentGetRegisteredGUIElementFactoryCount();

int IGUIEnvironmentGetGUIElementFactory(int index);

int IGUIEnvironmentAddGUIElement(char * elementName, int parent);

int IGUIEnvironmentSaveGUI(int filename, int start);

int IGUIEnvironmentSaveGUI(int file, int start);

int IGUIEnvironmentLoadGUI(int filename, int parent);

int IGUIEnvironmentLoadGUI(int file, int parent);

int IGUIEnvironmentSerializeAttributes(int out, int options);

int IGUIEnvironmentDeserializeAttributes(int in, int options);

int IGUIEnvironmentWriteGUIElement(int writer, int node);

int IGUIEnvironmentReadGUIElement(int reader, int node);

int IEventReceiverIEventReceiver();

int IEventReceiverOnEvent(int event);

int IFileArchiveCreateAndOpenFile(int filename);

int IFileArchiveCreateAndOpenFile(int index);

int IFileArchiveGetFileList();

int IFileArchiveGetType();

int IArchiveLoaderIsALoadableFileFormat(int filename);

int IArchiveLoaderIsALoadableFileFormat(int file);

int IArchiveLoaderIsALoadableFileFormat(int fileType);

int IArchiveLoaderCreateArchive(int filename, int ignoreCase, int ignorePaths);

int IArchiveLoaderCreateArchive(int file, int ignoreCase, int ignorePaths);

int ITimerITimer();

int ITimerGetRealTime();

int ITimerGetTime();

int ITimerSetTime(int time);

int ITimerStop();

int ITimerStart();

int ITimerSetSpeed(int speed);

int ITimerGetSpeed();

int ITimerIsStopped();

int ITimerTick();

int IMeshLoaderIMeshLoader();

int IMeshLoaderIsALoadableFileExtension(int filename);

int IMeshLoaderCreateMesh(int file);

int IGUITreeViewNodeIGUITreeViewNode();

int IGUITreeViewNodeIGUITreeViewNode();

int IGUITreeViewNodeGetOwner();

int IGUITreeViewNodeGetParent();

int IGUITreeViewNodeGetText();

int IGUITreeViewNodeSetText(char * text);

int IGUITreeViewNodeGetIcon();

int IGUITreeViewNodeSetIcon(char * icon);

int IGUITreeViewNodeGetImageIndex();

int IGUITreeViewNodeSetImageIndex(int imageIndex);

int IGUITreeViewNodeGetSelectedImageIndex();

int IGUITreeViewNodeSetSelectedImageIndex(int imageIndex);

int IGUITreeViewNodeGetData();

int IGUITreeViewNodeSetData(int data);

int IGUITreeViewNodeGetData2();

int IGUITreeViewNodeSetData2(int data);

int IGUITreeViewNodeGetChildCount();

int IGUITreeViewNodeClearChilds();

int IGUITreeViewNodeHasChilds();

int IGUITreeViewNodeAddChildBack(char * text, char * icon, int imageIndex, int selectedImageIndex, int data, int data2);

int IGUITreeViewNodeAddChildFront(char * text, char * icon, int imageIndex, int selectedImageIndex, int data, int data2);

int IGUITreeViewNodeInsertChildAfter(int other, char * text, char * icon, int imageIndex, int selectedImageIndex, int data, int data2);

int IGUITreeViewNodeInsertChildBefore(int other, char * text, char * icon, int imageIndex, int selectedImageIndex, int data, int data2);

int IGUITreeViewNodeGetFirstChild();

int IGUITreeViewNodeGetLastChild();

int IGUITreeViewNodeGetPrevSibling();

int IGUITreeViewNodeGetNextSibling();

int IGUITreeViewNodeGetNextVisible();

int IGUITreeViewNodeDeleteChild(int child);

int IGUITreeViewNodeMoveChildUp(int child);

int IGUITreeViewNodeMoveChildDown(int child);

int IGUITreeViewNodeGetExpanded();

int IGUITreeViewNodeSetExpanded(int expanded);

int IGUITreeViewNodeGetSelected();

int IGUITreeViewNodeSetSelected(int selected);

int IGUITreeViewNodeIsRoot();

int IGUITreeViewNodeGetLevel();

int IGUITreeViewNodeIsVisible();

int IGUITreeViewIGUITreeView(int environment, int parent, int id, int EGUIET_TREE_VIEW, int arg5, int arg6, int arg7);

int IGUITreeViewIGUITreeView();

int IGUITreeViewGetRoot();

int IGUITreeViewGetSelected();

int IGUITreeViewGetLinesVisible();

int IGUITreeViewSetLinesVisible(int visible);

int IGUITreeViewSetIconFont(int font);

int IGUITreeViewSetImageList(int imageList);

int IGUITreeViewGetImageList();

int IGUITreeViewSetImageLeftOfIcon(int bLeftOf);

int IGUITreeViewGetImageLeftOfIcon();

int IGUITreeViewGetLastEventNode();

int SMaterialLayerSMaterialLayer(int ), int 0);

int SMaterialLayerSMaterialLayer(int other);

int SMaterialLayerSMaterialLayer();

int SMaterialLayerDestruct();

int SMaterialLayerDeallocate();

int SMaterialLayer=(int other);

int SMaterialLayerDestruct();

int SMaterialLayerDeallocate();

int SMaterialLayerAllocate();

int SMaterialLayerConstruct(int arg1, int TextureMatrix);

int SMaterialLayerGetTextureMatrix();

int SMaterialLayerAllocate();

int SMaterialLayerConstruct(int arg1, int IdentityMatrix);

int SMaterialLayerGetTextureMatrix();

int SMaterialLayerSetTextureMatrix(int mat);

int SMaterialLayerAllocate();

int SMaterialLayerConstruct(int arg1);

int SMaterialLayer=(int b);

int SMaterialLayer=(int TextureMatrix);

int SMaterialLayer=(int b);

int IVideoDriverBeginScene(int backBuffer, int zBuffer, int color, int arg4, int arg5, int windowId, int sourceRect);

int IVideoDriverEndScene();

int IVideoDriverQueryFeature(int feature);

int IVideoDriverDisableFeature(int feature, int flag);

int IVideoDriverCheckDriverReset();

int IVideoDriverSetTransform(int state, int mat);

int IVideoDriverGetTransform(int state);

int IVideoDriverGetImageLoaderCount();

int IVideoDriverGetImageLoader(int n);

int IVideoDriverGetImageWriterCount();

int IVideoDriverGetImageWriter(int n);

int IVideoDriverSetMaterial(int material);

int IVideoDriverGetTexture(int filename);

int IVideoDriverGetTexture(int file);

int IVideoDriverGetTextureByIndex(int index);

int IVideoDriverGetTextureCount();

int IVideoDriverRenameTexture(int texture, int newName);

int IVideoDriverAddTexture(int size, int name, int format);

int IVideoDriverAddTexture(int name, int image);

int IVideoDriverAddRenderTargetTexture(int size, int name, int format);

int IVideoDriverRemoveTexture(int texture);

int IVideoDriverRemoveAllTextures();

int IVideoDriverRemoveHardwareBuffer(int mb);

int IVideoDriverRemoveAllHardwareBuffers();

int IVideoDriverMakeColorKeyTexture(int texture, int color, int zeroTexels);

int IVideoDriverMakeColorKeyTexture(int texture, int colorKeyPixelPos, int zeroTexels);

int IVideoDriverMakeNormalMapTexture(int texture, int amplitude);

int IVideoDriverSetRenderTarget(int texture, int clearBackBuffer, int clearZBuffer, int color, int arg5, int arg6);

int IVideoDriverSetRenderTarget(int target, int clearTarget, int clearZBuffer, int color, int arg5, int arg6);

int IVideoDriverSetViewPort(int area);

int IVideoDriverGetViewPort();

int IVideoDriverDrawVertexPrimitiveList(int vertices, int vertexCount, int indexList, int primCount, int vType, int pType, int iType);

int IVideoDriverDraw2DVertexPrimitiveList(int vertices, int vertexCount, int indexList, int primCount, int vType, int pType, int iType);

int IVideoDriverDrawIndexedTriangleList(int vertices, int vertexCount, int indexList, int triangleCount);

int IVideoDriverDrawIndexedTriangleList(int vertices, int vertexCount, int indexList, int triangleCount);

int IVideoDriverDrawIndexedTriangleList(int vertices, int vertexCount, int indexList, int triangleCount);

int IVideoDriverDrawIndexedTriangleFan(int vertices, int vertexCount, int indexList, int triangleCount);

int IVideoDriverDrawIndexedTriangleFan(int vertices, int vertexCount, int indexList, int triangleCount);

int IVideoDriverDraw3DLine(int start, int end, int color, int arg4, int arg5);

int IVideoDriverDraw3DTriangle(int triangle, int color, int arg3, int arg4);

int IVideoDriverDraw3DBox(int box, int color, int arg3, int arg4);

int IVideoDriverDraw2DImage(int texture, int destPos);

int IVideoDriverDraw2DImage(int texture, int destPos, int sourceRect, int clipRect, int color, int arg6, int arg7, int useAlphaChannelOfTexture);

int IVideoDriverDraw2DImageBatch(int texture, int pos, int sourceRects, int indices, int kerningWidth, int clipRect, int color, int arg8, int arg9, int useAlphaChannelOfTexture);

int IVideoDriverDraw2DImageBatch(int texture, int positions, int sourceRects, int clipRect, int color, int arg6, int arg7, int useAlphaChannelOfTexture);

int IVideoDriverDraw2DImage(int texture, int destRect, int sourceRect, int clipRect, int colors, int useAlphaChannelOfTexture);

int IVideoDriverDraw2DRectangle(int color, int pos, int clip);

int IVideoDriverDraw2DRectangle(int pos, int colorLeftUp, int colorRightUp, int colorLeftDown, int colorRightDown, int clip);

int IVideoDriverDraw2DRectangleOutline(int pos, int color, int arg3, int arg4);

int IVideoDriverDraw2DLine(int start, int end, int color, int arg4, int arg5);

int IVideoDriverDrawPixel(int x, int y, int color);

int IVideoDriverDraw2DPolygon(int center, int radius, int color, int arg4, int arg5, int vertexCount);

int IVideoDriverDrawStencilShadowVolume(int triangles, int count, int zfail);

int IVideoDriverDrawStencilShadow(int clearStencilBuffer, int leftUpEdge, int arg3, int arg4, int rightUpEdge, int arg7, int arg8, int leftDownEdge, int arg11, int arg12, int rightDownEdge, int arg15, int arg16);

int IVideoDriverDrawMeshBuffer(int mb);

int IVideoDriverSetFog(int color, int arg2, int arg3, int fogType, int start, int end, int density, int pixelFog, int rangeFog);

int IVideoDriverGetColorFormat();

int IVideoDriverGetScreenSize();

int IVideoDriverGetCurrentRenderTargetSize();

int IVideoDriverGetFPS();

int IVideoDriverGetPrimitiveCountDrawn(int mode);

int IVideoDriverDeleteAllDynamicLights();

int IVideoDriverAddDynamicLight(int light);

int IVideoDriverGetMaximalDynamicLightAmount();

int IVideoDriverGetDynamicLightCount();

int IVideoDriverGetDynamicLight(int idx);

int IVideoDriverTurnLightOn(int lightIndex, int turnOn);

int IVideoDriverGetName();

int IVideoDriverAddExternalImageLoader(int loader);

int IVideoDriverAddExternalImageWriter(int writer);

int IVideoDriverGetMaximalPrimitiveCount();

int IVideoDriverSetTextureCreationFlag(int flag, int enabled);

int IVideoDriverGetTextureCreationFlag(int flag);

int IVideoDriverCreateImageFromFile(int filename);

int IVideoDriverCreateImageFromFile(int file);

int IVideoDriverWriteImageToFile(int image, int filename, int param);

int IVideoDriverWriteImageToFile(int image, int file, int param);

int IVideoDriverCreateImageFromData(int format, int size, int data, int ownForeignMemory, int deleteMemory);

int IVideoDriverCreateImage(int format, int size);

int IVideoDriverCreateImage(int format, int imageToCopy);

int IVideoDriverCreateImage(int imageToCopy, int pos, int size);

int IVideoDriverCreateImage(int texture, int pos, int size);

int IVideoDriverOnResize(int size);

int IVideoDriverAddMaterialRenderer(int renderer, char * name);

int IVideoDriverGetMaterialRenderer(int idx);

int IVideoDriverGetMaterialRendererCount();

int IVideoDriverGetMaterialRendererName(int idx);

int IVideoDriverSetMaterialRendererName(int idx, char * name);

int IVideoDriverCreateAttributesFromMaterial(int material);

int IVideoDriverFillMaterialStructureFromAttributes(int outMaterial, int attributes);

int IVideoDriverGetExposedVideoData();

int IVideoDriverGetDriverType();

int IVideoDriverGetGPUProgrammingServices();

int IVideoDriverGetMeshManipulator();

int IVideoDriverClearZBuffer();

int IVideoDriverCreateScreenShot();

int IVideoDriverFindTexture(int filename);

int IVideoDriverSetClipPlane(int index, int plane, int enable);

int IVideoDriverEnableClipPlane(int index, int enable);

int IVideoDriverSetMinHardwareBufferVertexCount(int count);

int IVideoDriverGetOverrideMaterial();

int IVideoDriverGetVendorInfo();

int IVideoDriverSetAmbientLight(int color);

int IVideoDriverSetAllowZWriteOnTransparent(int flag);

int ISkinnedMeshGetJointCount();

int ISkinnedMeshGetJointName(int number);

int ISkinnedMeshGetJointNumber(char * name);

int ISkinnedMeshUseAnimationFrom(int mesh);

int ISkinnedMeshUpdateNormalsWhenAnimating(int on);

int ISkinnedMeshSetInterpolationMode(int mode);

int ISkinnedMeshAnimateMesh(int frame, int blend);

int ISkinnedMeshSkinMesh();

int ISkinnedMeshConvertMeshToTangents();

int ISkinnedMeshSetHardwareSkinning(int on);

int IParticleAffectorIParticleAffector(int true);

int IParticleAffectorAffect(int now, int particlearray, int count);

int IParticleAffectorSetEnabled(int enabled);

int IParticleAffectorGetEnabled();

int IParticleAffectorGetType();

int SMaterialSMaterial(int ), int 255, int arg3, int arg4, int 255, int arg7, int arg8, int 0, int arg11, int arg12, int 255, int arg15, int arg16, int false);

int SMaterialSMaterial(int other);

int SMaterial=(int other);

int SMaterialGetTextureMatrix(int i);

int SMaterialGetTextureMatrix(int i);

int SMaterialSetTextureMatrix(int i, int mat);

int SMaterialSetTextureMatrix();

int SMaterialGetTexture(int i);

int SMaterialSetTexture(int i, int tex);

int SMaterialSetFlag(int flag, int value);

int SMaterialSwitch();

int SMaterial=();

int SMaterialGetFlag(int flag);

int SMaterialSwitch();

int SMaterial=(int b);

int SMaterial=(int i);

int SMaterial=(int b);

int SMaterialIsTransparent();

int IMeshCacheIMeshCache();

int IMeshCacheAddMesh(int filename, int mesh);

int IMeshCacheRemoveMesh(int mesh);

int IMeshCacheRemoveMesh(int mesh);

int IMeshCacheGetMeshCount();

int IMeshCacheGetMeshIndex(int mesh);

int IMeshCacheGetMeshIndex(int mesh);

int IMeshCacheGetMeshByIndex(int index);

int IMeshCacheGetMeshByFilename(int filename);

int IMeshCacheGetMeshFilename(int index);

int IMeshCacheGetMeshFilename(int mesh);

int IMeshCacheGetMeshFilename(int mesh);

int IMeshCacheSetMeshFilename(int index, int filename);

int IMeshCacheSetMeshFilename(int mesh, int filename);

int IMeshCacheSetMeshFilename(int mesh, int filename);

int IMeshCacheIsMeshLoaded(int filename);

int IMeshCacheClear();

int IMeshCacheClearUnusedMeshes();

int IrrlichtDeviceRun();

int IrrlichtDeviceYield();

int IrrlichtDeviceSleep(int timeMs, int pauseTimer);

int IrrlichtDeviceGetVideoDriver();

int IrrlichtDeviceGetFileSystem();

int IrrlichtDeviceGetGUIEnvironment();

int IrrlichtDeviceGetSceneManager();

int IrrlichtDeviceGetCursorControl();

int IrrlichtDeviceGetLogger();

int IrrlichtDeviceGetVideoModeList();

int IrrlichtDeviceGetOSOperator();

int IrrlichtDeviceGetTimer();

int IrrlichtDeviceSetWindowCaption(char * text);

int IrrlichtDeviceIsWindowActive();

int IrrlichtDeviceIsWindowFocused();

int IrrlichtDeviceIsWindowMinimized();

int IrrlichtDeviceIsFullscreen();

int IrrlichtDeviceGetColorFormat();

int IrrlichtDeviceCloseDevice();

int IrrlichtDeviceGetVersion();

int IrrlichtDeviceSetEventReceiver(int receiver);

int IrrlichtDeviceGetEventReceiver();

int IrrlichtDevicePostEventFromUser(int event);

int IrrlichtDeviceSetInputReceivingSceneManager(int sceneManager);

int IrrlichtDeviceSetResizable(int resize);

int IrrlichtDeviceMinimizeWindow();

int IrrlichtDeviceMaximizeWindow();

int IrrlichtDeviceRestoreWindow();

int IrrlichtDeviceActivateJoysticks(int joystickInfo);

int IrrlichtDeviceSetGammaRamp(int red, int green, int blue, int relativebrightness, int relativecontrast);

int IrrlichtDeviceGetGammaRamp(int red, int green, int blue, int brightness, int contrast);

int IrrlichtDeviceGetType();

int IrrlichtDeviceIsDriverSupported(int driver);

int IrrlichtDeviceSwitch();

int IVolumeLightSceneNodeIVolumeLightSceneNode(int parent, int mgr, int id, int position, int rotation, int parent, int arg7, int arg8, int arg9, int arg10);

int IVolumeLightSceneNodeGetType();

int IVolumeLightSceneNodeSetSubDivideU(int inU);

int IVolumeLightSceneNodeSetSubDivideV(int inV);

int IVolumeLightSceneNodeGetSubDivideU();

int IVolumeLightSceneNodeGetSubDivideV();

int IVolumeLightSceneNodeSetFootColor(int inColour);

int IVolumeLightSceneNodeSetTailColor(int inColour);

int IVolumeLightSceneNodeGetFootColor();

int IVolumeLightSceneNodeGetTailColor();

int IGUIEditBoxIGUIEditBox(int environment, int parent, int id, int EGUIET_EDIT_BOX, int arg5, int arg6, int arg7);

int IGUIEditBoxSetOverrideFont(int font);

int IGUIEditBoxSetOverrideColor(int color);

int IGUIEditBoxEnableOverrideColor(int enable);

int IGUIEditBoxSetDrawBorder(int border);

int IGUIEditBoxSetTextAlignment(int horizontal, int vertical);

int IGUIEditBoxSetWordWrap(int enable);

int IGUIEditBoxIsWordWrapEnabled();

int IGUIEditBoxSetMultiLine(int enable);

int IGUIEditBoxIsMultiLineEnabled();

int IGUIEditBoxSetAutoScroll(int enable);

int IGUIEditBoxIsAutoScrollEnabled();

int IGUIEditBoxSetPasswordBox(int passwordBox, char * passwordChar);

int IGUIEditBoxIsPasswordBox();

int IGUIEditBoxGetTextDimension();

int IGUIEditBoxSetMax(int max);

int IGUIEditBoxGetMax();

int ITriangleSelectorITriangleSelector();

int ITriangleSelectorGetTriangleCount();

int ITriangleSelectorGetTriangles(int triangles, int arraySize, int outTriangleCount, int transform);

int ITriangleSelectorGetTriangles(int triangles, int arraySize, int outTriangleCount, int box, int transform);

int ITriangleSelectorGetTriangles(int triangles, int arraySize, int outTriangleCount, int line, int transform);

int ITriangleSelectorGetSceneNodeForTriangle(int triangleIndex);

int IGUISkinGetColor(int color);

int IGUISkinSetColor(int which, int newColor);

int IGUISkinGetSize(int size);

int IGUISkinGetDefaultText(int text);

int IGUISkinSetDefaultText(int which, char * newText);

int IGUISkinSetSize(int which, int size);

int IGUISkinGetFont(int which);

int IGUISkinSetFont(int font, int which);

int IGUISkinGetSpriteBank();

int IGUISkinSetSpriteBank(int bank);

int IGUISkinGetIcon(int icon);

int IGUISkinSetIcon(int icon, int index);

int IGUISkinDraw3DButtonPaneStandard(int element, int rect, int clip);

int IGUISkinDraw3DButtonPanePressed(int element, int rect, int clip);

int IGUISkinDraw3DSunkenPane(int element, int bgcolor, int flat, int fillBackGround, int rect, int clip);

int IGUISkinDraw3DWindowBackground(int element, int drawTitleBar, int titleBarColor, int rect, int clip);

int IGUISkinDraw3DMenuPane(int element, int rect, int clip);

int IGUISkinDraw3DToolBar(int element, int rect, int clip);

int IGUISkinDraw3DTabButton(int element, int active, int rect, int clip, int alignment);

int IGUISkinDraw3DTabBody(int element, int border, int background, int rect, int clip, int tabHeight, int alignment);

int IGUISkinDrawIcon(int element, int icon, int position, int starttime, int currenttime, int loop, int clip);

int IGUISkinDraw2DRectangle(int element, int color, int pos, int clip);

int IGUISkinGetType();

int IDummyTransformationSceneNodeIDummyTransformationSceneNode(int parent, int mgr, int parent, int arg4);

int IDummyTransformationSceneNodeGetRelativeTransformationMatrix();

int IFileSystemCreateAndOpenFile(int filename);

int IFileSystemCreateMemoryReadFile(int memory, int len, int fileName, int deleteMemoryWhenDropped);

int IFileSystemCreateLimitReadFile(int fileName, int alreadyOpenedFile, int pos, int areaSize);

int IFileSystemCreateMemoryWriteFile(int memory, int len, int fileName, int deleteMemoryWhenDropped);

int IFileSystemCreateAndWriteFile(int filename, int append);

int IFileSystemAddFileArchive(int filename, int ignoreCase, int ignorePaths, int archiveType);

int IFileSystemAddArchiveLoader(int loader);

int IFileSystemGetFileArchiveCount();

int IFileSystemRemoveFileArchive(int index);

int IFileSystemRemoveFileArchive(int filename);

int IFileSystemMoveFileArchive(int sourceIndex, int relative);

int IFileSystemGetFileArchive(int index);

int IFileSystemAddZipFileArchive(char * filename, int ignoreCase, int ignorePaths);

int IFileSystemAddFolderFileArchive(char * filename, int ignoreCase, int ignorePaths);

int IFileSystemAddPakFileArchive(char * filename, int ignoreCase, int ignorePaths);

int IFileSystemGetWorkingDirectory();

int IFileSystemChangeWorkingDirectoryTo(int newDirectory);

int IFileSystemGetAbsolutePath(int filename);

int IFileSystemGetFileDir(int filename);

int IFileSystemGetFileBasename(int filename, int keepExtension);

int IFileSystemFlattenFilename(int directory, int root);

int IFileSystemCreateFileList();

int IFileSystemSetFileListSystem(int listType);

int IFileSystemExistFile(int filename);

int IFileSystemCreateXMLReader(int filename);

int IFileSystemCreateXMLReader(int file);

int IFileSystemCreateXMLReaderUTF8(int filename);

int IFileSystemCreateXMLReaderUTF8(int file);

int IFileSystemCreateXMLWriter(int filename);

int IFileSystemCreateXMLWriter(int file);

int IFileSystemCreateEmptyAttributes(int driver);

int IDynamicMeshBufferGetVertexBuffer();

int IDynamicMeshBufferGetIndexBuffer();

int IDynamicMeshBufferSetVertexBuffer(int vertexBuffer);

int IDynamicMeshBufferSetIndexBuffer(int indexBuffer);

int IDynamicMeshBufferGetMaterial();

int IDynamicMeshBufferGetMaterial();

int IDynamicMeshBufferGetBoundingBox();

int IDynamicMeshBufferSetBoundingBox(int box);

int IDynamicMeshBufferRecalculateBoundingBox();

int IDynamicMeshBufferAppend(int vertices, int numVertices, int indices, int numIndices);

int IDynamicMeshBufferAppend(int other);

int IDynamicMeshBufferGetHardwareMappingHint_Vertex();

int IDynamicMeshBufferGetHardwareMappingHint_Index();

int IDynamicMeshBufferSetHardwareMappingHint(int NewMappingHint, int Buffer);

int IDynamicMeshBufferSetDirty(int Buffer);

int IDynamicMeshBufferGetChangedID_Vertex();

int IDynamicMeshBufferGetChangedID_Index();

int IDynamicMeshBufferGetVertexType();

int IDynamicMeshBufferGetVertices();

int IDynamicMeshBufferGetVertices();

int IDynamicMeshBufferGetVertexCount();

int IDynamicMeshBufferGetIndexType();

int IDynamicMeshBufferGetIndices();

int IDynamicMeshBufferGetIndices();

int IDynamicMeshBufferGetIndexCount();

int IDynamicMeshBufferGetPosition(int i);

int IDynamicMeshBufferGetPosition(int i);

int IDynamicMeshBufferGetTCoords(int i);

int IDynamicMeshBufferGetTCoords(int i);

int IDynamicMeshBufferGetNormal(int i);

int IDynamicMeshBufferGetNormal(int i);

int IMeshBufferGetMaterial();

int IMeshBufferGetMaterial();

int IMeshBufferGetVertexType();

int IMeshBufferGetVertices();

int IMeshBufferGetVertices();

int IMeshBufferGetVertexCount();

int IMeshBufferGetIndexType();

int IMeshBufferGetIndices();

int IMeshBufferGetIndices();

int IMeshBufferGetIndexCount();

int IMeshBufferGetBoundingBox();

int IMeshBufferSetBoundingBox(int box);

int IMeshBufferRecalculateBoundingBox();

int IMeshBufferGetPosition(int i);

int IMeshBufferGetPosition(int i);

int IMeshBufferGetNormal(int i);

int IMeshBufferGetNormal(int i);

int IMeshBufferGetTCoords(int i);

int IMeshBufferGetTCoords(int i);

int IMeshBufferAppend(int vertices, int numVertices, int indices, int numIndices);

int IMeshBufferAppend(int other);

int IMeshBufferGetHardwareMappingHint_Vertex();

int IMeshBufferGetHardwareMappingHint_Index();

int IMeshBufferSetHardwareMappingHint(int newMappingHint, int buffer);

int IMeshBufferSetDirty(int buffer);

int IMeshBufferGetChangedID_Vertex();

int IMeshBufferGetChangedID_Index();

int IVideoModeListGetVideoModeCount();

int IVideoModeListGetVideoModeResolution(int modeNumber);

int IVideoModeListGetVideoModeResolution(int minSize, int maxSize);

int IVideoModeListGetVideoModeDepth(int modeNumber);

int IVideoModeListGetDesktopResolution();

int IVideoModeListGetDesktopDepth();

int IMaterialRendererOnSetMaterial(int material, int lastMaterial, int resetAllRenderstates, int services);

int IMaterialRendererOnRender(int service, int vtxtype);

int IMaterialRendererOnUnsetMaterial();

int IMaterialRendererIsTransparent();

int IMaterialRendererGetRenderCapability();

int ISceneNodeAnimatorFactoryISceneNodeAnimatorFactory();

int ISceneNodeAnimatorFactoryCreateSceneNodeAnimator(int type, int target);

int ISceneNodeAnimatorFactoryCreateSceneNodeAnimator(char * typeName, int target);

int ISceneNodeAnimatorFactoryGetCreatableSceneNodeAnimatorTypeCount();

int ISceneNodeAnimatorFactoryGetCreateableSceneNodeAnimatorType(int idx);

int ISceneNodeAnimatorFactoryGetCreateableSceneNodeAnimatorTypeName(int idx);

int ISceneNodeAnimatorFactoryGetCreateableSceneNodeAnimatorTypeName(int type);

int IMeshSceneNodeIMeshSceneNode(int parent, int mgr, int id, int position, int arg5, int rotation, int arg8, int scale, int arg11, int parent, int arg13, int arg14, int arg15, int arg16);

int IMeshSceneNodeSetMesh(int mesh);

int IMeshSceneNodeGetMesh();

int IMeshSceneNodeSetReadOnlyMaterials(int readonly);

int IMeshSceneNodeIsReadOnlyMaterials();

int ISceneNodeAnimatorCameraMayaGetMoveSpeed();

int ISceneNodeAnimatorCameraMayaSetMoveSpeed(int moveSpeed);

int ISceneNodeAnimatorCameraMayaGetRotateSpeed();

int ISceneNodeAnimatorCameraMayaSetRotateSpeed(int rotateSpeed);

int ISceneNodeAnimatorCameraMayaGetZoomSpeed();

int ISceneNodeAnimatorCameraMayaSetZoomSpeed(int zoomSpeed);

int ILoggerILogger();

int ILoggerGetLogLevel();

int ILoggerSetLogLevel(int ll);

int ILoggerLog(char * text, int ll);

int ILoggerLog(char * text, char * hint, int ll);

int ILoggerLog(char * text, char * hint, int ll);

int ILoggerLog(char * text, char * hint, int ll);

int ILoggerLog(char * text, int ll);

int IAnimatedMeshMD3SetInterpolationShift(int shift, int loopMode);

int IAnimatedMeshMD3GetTagList(int frame, int detailLevel, int startFrameLoop, int endFrameLoop);

int IAnimatedMeshMD3GetOriginalMesh();

int IReferenceCountedIReferenceCounted(int ), int 1);

int IReferenceCountedIReferenceCounted();

int IReferenceCountedGrab();

int IReferenceCountedDrop();

int IReferenceCounted_IRR_DEBUG_BREAK_IF(int <);

int IReferenceCountedGetReferenceCount();

int IReferenceCountedGetDebugName();

int IParticleMeshEmitterSetMesh(int mesh);

int IParticleMeshEmitterSetUseNormalDirection(int useNormalDirection);

int IParticleMeshEmitterSetNormalDirectionModifier(int normalDirectionModifier);

int IParticleMeshEmitterSetEveryMeshVertex(int everyMeshVertex);

int IParticleMeshEmitterGetMesh();

int IParticleMeshEmitterIsUsingNormalDirection();

int IParticleMeshEmitterGetNormalDirectionModifier();

int IParticleMeshEmitterGetEveryMeshVertex();

int IParticleMeshEmitterGetType();

int ICollisionCallbackOnCollision(int animator);

int ISceneNodeAnimatorCollisionResponseISceneNodeAnimatorCollisionResponse();

int ISceneNodeAnimatorCollisionResponseIsFalling();

int ISceneNodeAnimatorCollisionResponseSetEllipsoidRadius(int radius);

int ISceneNodeAnimatorCollisionResponseGetEllipsoidRadius();

int ISceneNodeAnimatorCollisionResponseSetGravity(int gravity);

int ISceneNodeAnimatorCollisionResponseGetGravity();

int ISceneNodeAnimatorCollisionResponseJump(int jumpSpeed);

int ISceneNodeAnimatorCollisionResponseSetAnimateTarget(int enable);

int ISceneNodeAnimatorCollisionResponseGetAnimateTarget();

int ISceneNodeAnimatorCollisionResponseSetEllipsoidTranslation(int translation);

int ISceneNodeAnimatorCollisionResponseGetEllipsoidTranslation();

int ISceneNodeAnimatorCollisionResponseSetWorld(int newWorld);

int ISceneNodeAnimatorCollisionResponseGetWorld();

int ISceneNodeAnimatorCollisionResponseSetTargetNode(int node);

int ISceneNodeAnimatorCollisionResponseGetTargetNode();

int ISceneNodeAnimatorCollisionResponseCollisionOccurred();

int ISceneNodeAnimatorCollisionResponseGetCollisionPoint();

int ISceneNodeAnimatorCollisionResponseGetCollisionTriangle();

int ISceneNodeAnimatorCollisionResponseGetCollisionResultPosition();

int ISceneNodeAnimatorCollisionResponseGetCollisionNode();

int ISceneNodeAnimatorCollisionResponseSetCollisionCallback(int callback);

int CDynamicMeshBufferCDynamicMeshBuffer(int vertexType, int indexType);

int CDynamicMeshBufferCVertexBuffer();

int CDynamicMeshBufferCIndexBuffer();

int CDynamicMeshBufferCDynamicMeshBuffer();

int CDynamicMeshBufferGetVertexBuffer();

int CDynamicMeshBufferGetIndexBuffer();

int CDynamicMeshBufferSetVertexBuffer(int newVertexBuffer);

int CDynamicMeshBufferSetIndexBuffer(int newIndexBuffer);

int CDynamicMeshBufferGetMaterial();

int CDynamicMeshBufferGetMaterial();

int CDynamicMeshBufferGetBoundingBox();

int CDynamicMeshBufferSetBoundingBox(int box);

int CDynamicMeshBufferRecalculateBoundingBox();

int CDynamicMeshBufferReset(int Pos);

int CDynamicMeshBuffer<getVertexBuffer(int ();

int CDynamicMeshBufferAddInternalPoint(int Pos);

int IGUIFontBitmapGetType();

int IGUIFontBitmapGetSpriteBank();

int IGUIFontBitmapGetSpriteNoFromChar(char * c);

int IGUIFontBitmapGetKerningWidth(char * thisLetter, char * previousLetter);

int IGUIInOutFaderIGUIInOutFader(int environment, int parent, int id, int EGUIET_IN_OUT_FADER, int arg5, int arg6, int arg7);

int IGUIInOutFaderGetColor();

int IGUIInOutFaderSetColor(int color);

int IGUIInOutFaderSetColor(int source, int dest);

int IGUIInOutFaderFadeIn(int time);

int IGUIInOutFaderFadeOut(int time);

int IGUIInOutFaderIsReady();

int IGUISpinBoxIGUISpinBox(int environment, int parent, int id, int EGUIET_SPIN_BOX, int arg5, int arg6, int arg7);

int IGUISpinBoxGetEditBox();

int IGUISpinBoxSetValue(int val);

int IGUISpinBoxGetValue();

int IGUISpinBoxSetRange(int min, int max);

int IGUISpinBoxGetMin();

int IGUISpinBoxGetMax();

int IGUISpinBoxSetStepSize(int step);

int IGUISpinBoxSetDecimalPlaces(int places);

int IGUISpinBoxGetStepSize();

int ICameraSceneNodeICameraSceneNode(int parent, int mgr, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f, int parent, int arg13, int arg14, int arg15, int arg16, int false);

int ICameraSceneNodeSetProjectionMatrix(int projection, int isOrthogonal);

int ICameraSceneNodeGetProjectionMatrix();

int ICameraSceneNodeGetViewMatrix();

int ICameraSceneNodeSetViewMatrixAffector(int affector);

int ICameraSceneNodeGetViewMatrixAffector();

int ICameraSceneNodeOnEvent(int event);

int ICameraSceneNodeSetTarget(int pos);

int ICameraSceneNodeSetRotation(int rotation);

int ICameraSceneNodeGetTarget();

int ICameraSceneNodeSetUpVector(int pos);

int ICameraSceneNodeGetUpVector();

int ICameraSceneNodeGetNearValue();

int ICameraSceneNodeGetFarValue();

int ICameraSceneNodeGetAspectRatio();

int ICameraSceneNodeGetFOV();

int ICameraSceneNodeSetNearValue(int zn);

int ICameraSceneNodeSetFarValue(int zf);

int ICameraSceneNodeSetAspectRatio(int aspect);

int ICameraSceneNodeSetFOV(int fovy);

int ICameraSceneNodeGetViewFrustum();

int ICameraSceneNodeSetInputReceiverEnabled(int enabled);

int ICameraSceneNodeIsInputReceiverEnabled();

int ICameraSceneNodeIsOrthogonal();

int ICameraSceneNodeBindTargetAndRotation(int bound);

int ICameraSceneNodeGetTargetAndRotationBinding();

int IParticleRingEmitterSetCenter(int center);

int IParticleRingEmitterSetRadius(int radius);

int IParticleRingEmitterSetRingThickness(int ringThickness);

int IParticleRingEmitterGetCenter();

int IParticleRingEmitterGetRadius();

int IParticleRingEmitterGetRingThickness();

int IParticleRingEmitterGetType();

int IParticleSphereEmitterSetCenter(int center);

int IParticleSphereEmitterSetRadius(int radius);

int IParticleSphereEmitterGetCenter();

int IParticleSphereEmitterGetRadius();

int IParticleSphereEmitterGetType();

int ISceneManagerISceneManager();

int ISceneManagerGetMesh(int filename);

int ISceneManagerGetMesh(int file);

int ISceneManagerGetMeshCache();

int ISceneManagerGetVideoDriver();

int ISceneManagerGetGUIEnvironment();

int ISceneManagerGetFileSystem();

int ISceneManagerAddVolumeLightSceneNode(int parent, int id, int subdivU, int subdivV, int foot, int arg6, int arg7, int tail, int arg10, int arg11, int position, int arg14, int rotation, int arg17, int scale, int 0f);

int ISceneManagerAddCubeSceneNode(int size, int parent, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f);

int ISceneManagerAddSphereSceneNode(int radius, int polyCount, int parent, int id, int position, int arg6, int rotation, int arg9, int scale, int 0f);

int ISceneManagerAddAnimatedMeshSceneNode(int mesh, int parent, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f, int alsoAddIfMeshPointerZero);

int ISceneManagerAddMeshSceneNode(int mesh, int parent, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f, int alsoAddIfMeshPointerZero);

int ISceneManagerAddWaterSurfaceSceneNode(int mesh, int waveHeight, int waveSpeed, int waveLength, int parent, int id, int position, int arg8, int rotation, int arg11, int scale, int 0f);

int ISceneManagerAddOctTreeSceneNode(int mesh, int parent, int id, int minimalPolysPerNode, int alsoAddIfMeshPointerZero);

int ISceneManagerAddOctTreeSceneNode(int mesh, int parent, int id, int minimalPolysPerNode, int alsoAddIfMeshPointerZero);

int ISceneManagerAddCameraSceneNode(int parent, int position, int arg3, int lookat, int arg6, int id);

int ISceneManagerAddCameraSceneNodeMaya(int parent, int rotateSpeed, int zoomSpeed, int translationSpeed, int id);

int ISceneManagerAddCameraSceneNodeFPS(int parent, int rotateSpeed, int moveSpeed, int id, int keyMapArray, int keyMapSize, int noVerticalMovement, int jumpSpeed, int invertMouse);

int ISceneManagerAddLightSceneNode(int parent, int position, int arg3, int color, int 0f, int radius, int id);

int ISceneManagerAddBillboardSceneNode(int parent, int size, int position, int arg5, int id, int colorTop, int colorBottom);

int ISceneManagerAddSkyBoxSceneNode(int top, int bottom, int left, int right, int front, int back, int parent, int id);

int ISceneManagerAddSkyDomeSceneNode(int texture, int horiRes, int vertRes, int texturePercentage, int spherePercentage, int radius, int parent, int id);

int ISceneManagerAddParticleSystemSceneNode(int withDefaultEmitter, int parent, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f);

int ISceneManagerAddTerrainSceneNode(int heightMapFileName, int parent, int id, int position, int 0f, int rotation, int 0f, int scale, int 0f, int vertexColor, int arg14, int arg15, int maxLOD, int patchSize, int smoothFactor, int addAlsoIfHeightmapEmpty);

int ISceneManagerAddTerrainSceneNode(int heightMapFile, int parent, int id, int position, int 0f, int rotation, int 0f, int scale, int 0f, int vertexColor, int arg14, int arg15, int maxLOD, int patchSize, int smoothFactor, int addAlsoIfHeightmapEmpty);

int ISceneManagerAddQuake3SceneNode(int meshBuffer, int shader, int parent, int id);

int ISceneManagerAddEmptySceneNode(int parent, int id);

int ISceneManagerAddDummyTransformationSceneNode(int parent, int id);

int ISceneManagerAddTextSceneNode(int font, char * text, int color, int arg4, int arg5, int parent, int position, int arg9, int id);

int ISceneManagerAddBillboardTextSceneNode(int font, char * text, int parent, int size, int position, int arg7, int id, int colorTop, int colorBottom);

int ISceneManagerAddHillPlaneMesh(int name, int tileSize, int tileCount, int material, int hillHeight, int countHills, int textureRepeatCount);

int ISceneManagerAddTerrainMesh(int meshname, int texture, int heightmap, int stretchSize, int maxHeight, int defaultVertexBlockSize);

int ISceneManagerAddArrowMesh(int name, int vtxColor0, int vtxColor1, int tesselationCylinder, int tesselationCone, int height, int cylinderHeight, int width0, int width1);

int ISceneManagerAddSphereMesh(int name, int radius, int polyCountX, int polyCountY);

int ISceneManagerAddVolumeLightMesh(int name, int SubdivideU, int SubdivideV, int FootColor, int arg5, int arg6, int TailColor, int arg9, int arg10);

int ISceneManagerGetRootSceneNode();

int ISceneManagerGetSceneNodeFromId(int id, int start);

int ISceneManagerGetSceneNodeFromName(char * name, int start);

int ISceneManagerGetSceneNodeFromType(int type, int start);

int ISceneManagerGetSceneNodesFromType(int type, int outNodes, int start);

int ISceneManagerGetActiveCamera();

int ISceneManagerSetActiveCamera(int camera);

int ISceneManagerSetShadowColor(int color, int arg2, int arg3);

int ISceneManagerGetShadowColor();

int ISceneManagerRegisterNodeForRendering(int node, int pass);

int ISceneManagerDrawAll();

int ISceneManagerCreateRotationAnimator(int rotationSpeed);

int ISceneManagerCreateFlyCircleAnimator(int center, int f, int radius, int speed, int direction, int f, int startPosition, int radiusEllipsoid);

int ISceneManagerCreateFlyStraightAnimator(int startPoint, int endPoint, int timeForWay, int loop, int pingpong);

int ISceneManagerCreateTextureAnimator(int textures, int timePerFrame, int loop);

int ISceneManagerCreateDeleteAnimator(int timeMs);

int ISceneManagerCreateCollisionResponseAnimator(int world, int sceneNode, int ellipsoidRadius, int arg4, int gravityPerSecond, int 0f, int ellipsoidTranslation, int arg10, int slidingValue);

int ISceneManagerCreateFollowSplineAnimator(int startTime, int points, int speed, int tightness);

int ISceneManagerCreateTriangleSelector(int mesh, int node);

int ISceneManagerCreateTriangleSelector(int node);

int ISceneManagerCreateTriangleSelectorFromBoundingBox(int node);

int ISceneManagerCreateOctTreeTriangleSelector(int mesh, int node, int minimalPolysPerNode);

int ISceneManagerCreateMetaTriangleSelector();

int ISceneManagerCreateTerrainTriangleSelector(int node, int LOD);

int ISceneManagerAddExternalMeshLoader(int externalLoader);

int ISceneManagerGetSceneCollisionManager();

int ISceneManagerGetMeshManipulator();

int ISceneManagerAddToDeletionQueue(int node);

int ISceneManagerPostEventFromUser(int event);

int ISceneManagerClear();

int ISceneManagerGetParameters();

int ISceneManagerGetSceneNodeRenderPass();

int ISceneManagerGetDefaultSceneNodeFactory();

int ISceneManagerRegisterSceneNodeFactory(int factoryToAdd);

int ISceneManagerGetRegisteredSceneNodeFactoryCount();

int ISceneManagerGetSceneNodeFactory(int index);

int ISceneManagerGetDefaultSceneNodeAnimatorFactory();

int ISceneManagerRegisterSceneNodeAnimatorFactory(int factoryToAdd);

int ISceneManagerGetRegisteredSceneNodeAnimatorFactoryCount();

int ISceneManagerGetSceneNodeAnimatorFactory(int index);

int ISceneManagerGetSceneNodeTypeName(int type);

int ISceneManagerGetAnimatorTypeName(int type);

int ISceneManagerAddSceneNode(int sceneNodeTypeName, int parent);

int ISceneManagerCreateNewSceneManager(int cloneContent);

int ISceneManagerSaveScene(int filename, int userDataSerializer);

int ISceneManagerSaveScene(int file, int userDataSerializer);

int ISceneManagerLoadScene(int filename, int userDataSerializer);

int ISceneManagerLoadScene(int file, int userDataSerializer);

int ISceneManagerCreateMeshWriter(int type);

int ISceneManagerCreateSkinnedMesh();

int ISceneManagerSetAmbientLight(int ambientColor);

int ISceneManagerGetAmbientLight();

int ISceneManagerSetLightManager(int lightManager);

int ISceneManagerGetGeometryCreator();

int ISceneManagerIsCulled(int node);

int ISceneNodeISceneNode(int parent, int mgr, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f, int false);

int ISceneNodeUpdateAbsolutePosition();

int ISceneNodeISceneNode();

int ISceneNodeRemoveAll();

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNode)(int ();

int ISceneNodeOnRegisterSceneNode();

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNode)(int ();

int ISceneNodeOnAnimate(int timeMs);

int ISceneNodeBegin();

int ISceneNodeWhile(int ait);

int ISceneNodeAnimateNode(int arg1);

int ISceneNodeUpdateAbsolutePosition();

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNode)(int timeMs);

int ISceneNodeRender();

int ISceneNodeGetName();

int ISceneNodeSetName(char * name);

int ISceneNodeSetName(int name);

int ISceneNodeGetBoundingBox();

int ISceneNodeGetTransformedBoundingBox();

int ISceneNodeGetBoundingBox();

int ISceneNodeTransformBoxEx();

int ISceneNodeGetAbsoluteTransformation();

int ISceneNodeGetRelativeTransformation();

int ISceneNodeSetRotationDegrees();

int ISceneNodeSetTranslation();

int ISceneNodeSetScale();

int ISceneNodeIsVisible();

int ISceneNodeIsTrulyVisible();

int ISceneNodeSetVisible(int isVisible);

int ISceneNodeGetID();

int ISceneNodeSetID(int id);

int ISceneNodeAddChild(int child);

int ISceneNodeGrab();

int ISceneNodeRemove();

int ISceneNodePush_back();

int ISceneNodeRemoveChild(int child);

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNodeErase();

int ISceneNodeRemoveAll();

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNodeClear();

int ISceneNodeRemove();

int ISceneNodeAddAnimator(int animator);

int ISceneNodePush_back();

int ISceneNodeGrab();

int ISceneNodeGetAnimators();

int ISceneNodeRemoveAnimator(int animator);

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNodeErase();

int ISceneNodeRemoveAnimators();

int ISceneNodeBegin();

int ISceneNodeEnd();

int ISceneNode)(int ();

int ISceneNodeClear();

int ISceneNodeGetMaterial(int num);

int ISceneNodeGetMaterialCount();

int ISceneNodeSetMaterialFlag(int flag, int newvalue);

int ISceneNode<getMaterialCount();

int ISceneNodeGetMaterial(int flag);

int ISceneNodeSetMaterialTexture(int textureLayer, int texture);

int ISceneNode<getMaterialCount();

int ISceneNodeGetMaterial(int textureLayer);

int ISceneNodeSetMaterialType(int newType);

int ISceneNode<getMaterialCount();

int ISceneNodeGetMaterial();

int ISceneNodeGetScale();

int ISceneNodeSetScale(int scale);

int ISceneNodeGetRotation();

int ISceneNodeSetRotation(int rotation);

int ISceneNodeGetPosition();

int ISceneNodeSetPosition(int newpos);

int ISceneNodeGetAbsolutePosition();

int ISceneNodeSetAutomaticCulling(int state);

int ISceneNodeGetAutomaticCulling();

int ISceneNodeSetDebugDataVisible(int state);

int ISceneNodeIsDebugDataVisible();

int ISceneNodeSetIsDebugObject(int debugObject);

int ISceneNodeIsDebugObject();

int ISceneNodeGetChildren();

int ISceneNodeSetParent(int newParent);

int ISceneNodeGrab();

int ISceneNodeRemove();

int ISceneNodeDrop();

int ISceneNodeGetTriangleSelector();

int ISceneNodeSetTriangleSelector(int selector);

int ISceneNodeUpdateAbsolutePosition();

int ISceneNodeGetAbsoluteTransformation(int ();

int ISceneNodeGetRelativeTransformation();

int ISceneNodeGetParent();

int ISceneNodeGetType();

int ISceneNodeSerializeAttributes(int out, int options);

int ISceneNodeAddString(int arg1);

int ISceneNodeAddInt(int arg1);

int ISceneNodeAddVector3d(int arg1);

int ISceneNodeAddVector3d(int arg1);

int ISceneNodeAddVector3d(int arg1);

int ISceneNodeAddBool(int arg1);

int ISceneNodeAddEnum(int arg1, int arg2);

int ISceneNodeAddInt(int arg1);

int ISceneNodeAddBool(int arg1);

int ISceneNodeDeserializeAttributes(int in, int options);

int ISceneNodeGetAttributeAsString();

int ISceneNodeGetAttributeAsInt();

int ISceneNodeSetPosition(int ));

int ISceneNodeSetRotation(int ));

int ISceneNodeSetScale(int ));

int ISceneNodeGetAttributeAsBool();

int ISceneNode=(int "AutomaticCulling", int AutomaticCullingNames);

int ISceneNodeGetAttributeAsInt();

int ISceneNodeGetAttributeAsBool();

int ISceneNodeUpdateAbsolutePosition();

int ISceneNodeClone(int newParent, int newManager);

int ISceneNodeGetSceneManager();

int ITextSceneNodeITextSceneNode(int parent, int mgr, int id, int position, int arg5, int parent, int arg7, int arg8);

int ITextSceneNodeSetText(char * text);

int ITextSceneNodeSetTextColor(int color);

int IGUIStaticTextIGUIStaticText(int environment, int parent, int id, int EGUIET_STATIC_TEXT, int arg5, int arg6, int arg7);

int IGUIStaticTextSetOverrideFont(int font);

int IGUIStaticTextGetOverrideFont();

int IGUIStaticTextSetOverrideColor(int color);

int IGUIStaticTextGetOverrideColor();

int IGUIStaticTextEnableOverrideColor(int enable);

int IGUIStaticTextIsOverrideColorEnabled();

int IGUIStaticTextSetBackgroundColor(int color);

int IGUIStaticTextSetDrawBackground(int draw);

int IGUIStaticTextSetDrawBorder(int draw);

int IGUIStaticTextSetTextAlignment(int horizontal, int vertical);

int IGUIStaticTextSetWordWrap(int enable);

int IGUIStaticTextIsWordWrapEnabled();

int IGUIStaticTextGetTextHeight();

int IGUIStaticTextGetTextWidth();

int IParticleSystemSceneNodeIParticleSystemSceneNode(int parent, int mgr, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f, int parent, int arg13, int arg14, int arg15, int arg16);

int IParticleSystemSceneNodeSetParticleSize(int size);

int IParticleSystemSceneNodeSetParticlesAreGlobal(int global);

int IParticleSystemSceneNodeGetEmitter();

int IParticleSystemSceneNodeSetEmitter(int emitter);

int IParticleSystemSceneNodeAddAffector(int affector);

int IParticleSystemSceneNodeRemoveAllAffectors();

int IParticleSystemSceneNodeCreateAnimatedMeshSceneNodeEmitter(int node, int useNormalDirection, int direction, int 03f, int normalDirectionModifier, int mbNumber, int everyMeshVertex, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg12, int arg13, int maxStartColor, int arg16, int arg17, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreateBoxEmitter(int box, int arg2, int 10, int arg4, int arg5, int direction, int 03f, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg13, int arg14, int maxStartColor, int arg17, int arg18, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreateCylinderEmitter(int center, int radius, int normal, int length, int outlineOnly, int direction, int 03f, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg12, int arg13, int maxStartColor, int arg16, int arg17, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreateMeshEmitter(int mesh, int useNormalDirection, int direction, int 03f, int normalDirectionModifier, int mbNumber, int everyMeshVertex, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg12, int arg13, int maxStartColor, int arg16, int arg17, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreatePointEmitter(int direction, int 03f, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg7, int arg8, int maxStartColor, int arg11, int arg12, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreateRingEmitter(int center, int radius, int ringThickness, int direction, int 03f, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg10, int arg11, int maxStartColor, int arg14, int arg15, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreateSphereEmitter(int center, int radius, int direction, int 03f, int minParticlesPerSecond, int maxParticlesPerSecond, int minStartColor, int arg9, int arg10, int maxStartColor, int arg13, int arg14, int lifeTimeMin, int lifeTimeMax, int maxAngleDegrees, int minStartSize, int maxStartSize);

int IParticleSystemSceneNodeCreateAttractionAffector(int point, int speed, int attract, int affectX, int affectY, int affectZ);

int IParticleSystemSceneNodeCreateScaleParticleAffector(int scaleTo);

int IParticleSystemSceneNodeCreateFadeOutParticleAffector(int targetColor, int arg2, int arg3, int timeNeededToFadeOut);

int IParticleSystemSceneNodeCreateGravityAffector(int gravity, int 03f, int timeForceLost);

int IParticleSystemSceneNodeCreateRotationAffector(int speed, int 0f, int pivotPoint, int 0f);

int ITerrainSceneNodeITerrainSceneNode(int parent, int mgr, int id, int position, int 0f, int rotation, int 0f, int scale, int 0f, int parent, int arg13, int arg14, int arg15, int arg16);

int ITerrainSceneNodeGetBoundingBox();

int ITerrainSceneNodeGetBoundingBox(int patchX, int patchZ);

int ITerrainSceneNodeGetIndexCount();

int ITerrainSceneNodeGetMesh();

int ITerrainSceneNodeGetRenderBuffer();

int ITerrainSceneNodeGetMeshBufferForLOD(int mb, int LOD);

int ITerrainSceneNodeGetIndicesForPatch(int indices, int patchX, int patchZ, int LOD);

int ITerrainSceneNodeGetCurrentLODOfPatches(int LODs);

int ITerrainSceneNodeSetLODOfPatch(int patchX, int patchZ, int LOD);

int ITerrainSceneNodeGetTerrainCenter();

int ITerrainSceneNodeGetHeight(int x, int y);

int ITerrainSceneNodeSetCameraMovementDelta(int delta);

int ITerrainSceneNodeSetCameraRotationDelta(int delta);

int ITerrainSceneNodeSetDynamicSelectorUpdate(int bVal);

int ITerrainSceneNodeOverrideLODDistance(int LOD, int newDistance);

int ITerrainSceneNodeScaleTexture(int scale, int scale2);

int ITerrainSceneNodeLoadHeightMap(int file, int vertexColor, int arg3, int arg4, int smoothFactor);

int ITerrainSceneNodeLoadHeightMapRAW(int file, int bitsPerPixel, int signedData, int floatVals, int width, int vertexColor, int arg7, int arg8, int smoothFactor);

int IGUIContextMenuIGUIContextMenu(int environment, int parent, int id, int EGUIET_CONTEXT_MENU, int arg5, int arg6, int arg7);

int IGUIContextMenuGetItemCount();

int IGUIContextMenuAddItem(char * text, int commandId, int enabled, int hasSubMenu, int checked);

int IGUIContextMenuAddSeparator();

int IGUIContextMenuGetItemText(int idx);

int IGUIContextMenuSetItemText(int idx, char * text);

int IGUIContextMenuIsItemEnabled(int idx);

int IGUIContextMenuSetItemEnabled(int idx, int enabled);

int IGUIContextMenuSetItemChecked(int idx, int enabled);

int IGUIContextMenuIsItemChecked(int idx);

int IGUIContextMenuRemoveItem(int idx);

int IGUIContextMenuRemoveAllItems();

int IGUIContextMenuGetSelectedItem();

int IGUIContextMenuGetItemCommandId(int idx);

int IGUIContextMenuSetItemCommandId(int idx, int id);

int IGUIContextMenuGetSubMenu(int idx);

int IImageLock();

int IImageUnlock();

int IImageGetDimension();

int IImageGetBitsPerPixel();

int IImageGetBytesPerPixel();

int IImageGetImageDataSizeInBytes();

int IImageGetImageDataSizeInPixels();

int IImageGetPixel(int x, int y);

int IImageSetPixel(int x, int y, int color, int blend);

int IImageGetColorFormat();

int IImageGetRedMask();

int IImageGetGreenMask();

int IImageGetBlueMask();

int IImageGetAlphaMask();

int IImageGetPitch();

int IImageCopyToScaling(int target, int width, int height, int format, int pitch);

int IImageCopyToScaling(int target);

int IImageCopyTo(int target, int pos);

int IImageCopyTo(int target, int pos, int sourceRect, int clipRect);

int IImageCopyToWithAlpha(int target, int pos, int sourceRect, int color, int clipRect);

int IImageCopyToScalingBoxFilter(int target, int bias, int blend);

int IImageFill(int color);

int IImageGetBitsPerPixelFromFormat(int format);

int IImageSwitch();

int IImageIsRenderTargetOnlyFormat(int format);

int IImageSwitch();

int IAnimatedMeshMD2GetFrameLoop(int l, int outBegin, int outEnd, int outFPS);

int IAnimatedMeshMD2GetFrameLoop(char * name, int outBegin, int outEnd, int outFPS);

int IAnimatedMeshMD2GetAnimationCount();

int IAnimatedMeshMD2GetAnimationName(int nr);

int IIndexBufferGetData();

int IIndexBufferGetType();

int IIndexBufferSetType(int IndexType);

int IIndexBufferStride();

int IIndexBufferSize();

int IIndexBufferPush_back(int element);

int IIndexBufferOperator(int index);

int IIndexBufferGetLast();

int IIndexBufferSetValue(int index, int value);

int IIndexBufferSet_used(int usedNow);

int IIndexBufferReallocate(int new_size);

int IIndexBufferAllocated_size();

int IIndexBufferPointer();

int IIndexBufferGetHardwareMappingHint();

int IIndexBufferSetHardwareMappingHint(int NewMappingHint);

int IIndexBufferSetDirty();

int IIndexBufferGetChangedID();

int IVertexBufferGetData();

int IVertexBufferGetType();

int IVertexBufferSetType(int vertexType);

int IVertexBufferStride();

int IVertexBufferSize();

int IVertexBufferPush_back(int element);

int IVertexBufferOperator(int index);

int IVertexBufferGetLast();

int IVertexBufferSet_used(int usedNow);

int IVertexBufferReallocate(int new_size);

int IVertexBufferAllocated_size();

int IVertexBufferPointer();

int IVertexBufferGetHardwareMappingHint();

int IVertexBufferSetHardwareMappingHint(int NewMappingHint);

int IVertexBufferSetDirty();

int IVertexBufferGetChangedID();

int IWriteFileWrite(int buffer, int sizeToWrite);

int IWriteFileSeek(int finalPos, int relativeMovement);

int IWriteFileGetPos();

int IWriteFileGetFileName();

int IWriteFileCreateWriteFile(int fileName, int append);

int IReadFileRead(int buffer, int sizeToRead);

int IReadFileSeek(int finalPos, int relativeMovement);

int IReadFileGetSize();

int IReadFileGetPos();

int IReadFileGetFileName();

int IReadFileCreateReadFile(int fileName);

int IReadFileCreateLimitReadFile(int fileName, int alreadyOpenedFile, int pos, int areaSize);

int IReadFileCreateMemoryReadFile(int memory, int size, int fileName, int deleteMemoryWhenDropped);

int IBillboardSceneNodeIBillboardSceneNode(int parent, int mgr, int id, int position, int arg5, int parent, int arg7, int arg8);

int IBillboardSceneNodeSetSize(int size);

int IBillboardSceneNodeGetSize();

int IBillboardSceneNodeSetColor(int overallColor);

int IBillboardSceneNodeSetColor(int topColor, int bottomColor);

int IBillboardSceneNodeGetColor(int topColor, int bottomColor);

int IAttributeExchangingObjectSerializeAttributes(int out, int options);

int IAttributeExchangingObjectDeserializeAttributes(int in, int options);

int IParticleEmitterEmitt(int now, int timeSinceLastCall, int outArray);

int IParticleEmitterSetDirection(int newDirection);

int IParticleEmitterSetMinParticlesPerSecond(int minPPS);

int IParticleEmitterSetMaxParticlesPerSecond(int maxPPS);

int IParticleEmitterSetMinStartColor(int color);

int IParticleEmitterSetMaxStartColor(int color);

int IParticleEmitterSetMaxStartSize(int size);

int IParticleEmitterSetMinStartSize(int size);

int IParticleEmitterGetDirection();

int IParticleEmitterGetMinParticlesPerSecond();

int IParticleEmitterGetMaxParticlesPerSecond();

int IParticleEmitterGetMinStartColor();

int IParticleEmitterGetMaxStartColor();

int IParticleEmitterGetMaxStartSize();

int IParticleEmitterGetMinStartSize();

int IParticleEmitterGetType();

int IIndexListIIndexList();

int IIndexListStride();

int IIndexListSize();

int IIndexListPush_back(int element);

int IIndexListOperator(int index);

int IIndexListGetLast();

int IIndexListSetValue(int index, int value);

int IIndexListSet_used(int usedNow);

int IIndexListReallocate(int new_size);

int IIndexListAllocated_size();

int IIndexListPointer();

int IIndexListGetType();

int IIndexListStride();

int IIndexListSize();

int IIndexListPush_back(int element);

int IIndexListPush_back(int element);

int IIndexListOperator(int index);

int IIndexListGetLast();

int IIndexListSetValue(int index, int value);

int IIndexList=();

int IIndexListSet_used(int usedNow);

int IIndexListSet_used();

int IIndexListReallocate(int new_size);

int IIndexListReallocate();

int IIndexListAllocated_size();

int IIndexListPointer();

int IIndexListGetType();

int IIndexListCIndexBuffer(int ), int 1);

int IIndexListSetType();

int IIndexListCIndexBuffer(int ), int 1);

int IIndexListSetType(int ));

int IIndexListReallocate(int ));

int IIndexListSize();

int IIndexListPush_back(int n);

int IIndexListCIndexBuffer();

int IIndexListSetType(int IndexType);

int IIndexListSwitch();

int IIndexListReallocate(int ));

int IIndexListSize();

int IIndexListPush_back(int n);

int IIndexListGetData();

int IIndexListGetType();

int IIndexListStride();

int IIndexListSize();

int IIndexListPush_back(int element);

int IIndexListPush_back();

int IIndexListOperator(int index);

int IIndexListGetLast();

int IIndexListSetValue(int index, int value);

int IIndexListSetValue(int arg1);

int IIndexListSet_used(int usedNow);

int IIndexListSet_used();

int IIndexListReallocate(int new_size);

int IIndexListReallocate();

int IIndexListAllocated_size();

int IIndexListPointer();

int IIndexListGetHardwareMappingHint();

int IIndexListSetHardwareMappingHint(int NewMappingHint);

int IIndexListSetDirty();

int IIndexListGetChangedID();

int IParticleGravityAffectorSetTimeForceLost(int timeForceLost);

int IParticleGravityAffectorSetGravity(int gravity);

int IParticleGravityAffectorGetTimeForceLost();

int IParticleGravityAffectorGetGravity();

int IParticleGravityAffectorGetType();

int IParticleRotationAffectorSetPivotPoint(int point);

int IParticleRotationAffectorSetSpeed(int speed);

int IParticleRotationAffectorGetPivotPoint();

int IParticleRotationAffectorGetSpeed();

int IParticleRotationAffectorGetType();

int IGUICheckBoxIGUICheckBox(int environment, int parent, int id, int EGUIET_CHECK_BOX, int arg5, int arg6, int arg7);

int IGUICheckBoxSetChecked(int checked);

int IGUICheckBoxIsChecked();

int IMeshGetMeshBufferCount();

int IMeshGetMeshBuffer(int nr);

int IMeshGetMeshBuffer(int material);

int IMeshGetBoundingBox();

int IMeshSetBoundingBox(int box);

int IMeshSetMaterialFlag(int flag, int newvalue);

int IMeshSetHardwareMappingHint(int newMappingHint, int buffer);

int IMeshSetDirty(int buffer);

int IBillboardTextSceneNodeIBillboardTextSceneNode(int parent, int mgr, int id, int position, int arg5, int parent, int arg7, int arg8);

int IBillboardTextSceneNodeSetSize(int size);

int IBillboardTextSceneNodeGetSize();

int IBillboardTextSceneNodeSetColor(int overallColor);

int IBillboardTextSceneNodeSetColor(int topColor, int bottomColor);

int IBillboardTextSceneNodeGetColor(int topColor, int bottomColor);

int IBillboardTextSceneNodeSetText(char * text);

int IBillboardTextSceneNodeSetTextColor(int color);

int IParticleFadeOutAffectorSetTargetColor(int targetColor);

int IParticleFadeOutAffectorSetFadeOutTime(int fadeOutTime);

int IParticleFadeOutAffectorGetTargetColor();

int IParticleFadeOutAffectorGetFadeOutTime();

int IParticleFadeOutAffectorGetType();

int IShadowVolumeSceneNodeIShadowVolumeSceneNode(int parent, int mgr, int parent, int arg4);

int IShadowVolumeSceneNodeSetShadowMesh(int mesh);

int IShadowVolumeSceneNodeUpdateShadowVolumes();

int IFileListGetFileCount();

int IFileListGetFileName(int index);

int IFileListGetFullFileName(int index);

int IFileListGetFileSize(int index);

int IFileListIsDirectory(int index);

int IFileListFindFile(int filename, int isFolder);

int IFileListGetPath();

int IGeometryCreatorCreateCubeMesh(int size, int f);

int IGeometryCreatorCreateHillPlaneMesh(int tileSize, int tileCount, int material, int hillHeight, int countHills, int textureRepeatCount);

int IGeometryCreatorCreateTerrainMesh(int texture, int heightmap, int stretchSize, int maxHeight, int driver, int defaultVertexBlockSize, int debugBorders);

int IGeometryCreatorCreateArrowMesh(int tesselationCylinder, int tesselationCone, int height, int cylinderHeight, int widthCylinder, int widthCone, int colorCylinder, int colorCone);

int IGeometryCreatorCreateSphereMesh(int radius, int polyCountX, int polyCountY);

int IGeometryCreatorCreateCylinderMesh(int radius, int length, int tesselation, int color, int closeTop, int oblique);

int IGeometryCreatorCreateConeMesh(int radius, int length, int tesselation, int colorTop, int colorBottom, int oblique);

int IGeometryCreatorCreateVolumeLightMesh(int subdivideU, int subdivideV, int footColor, int tailColor, int lpDistance, int lightDim, int 2f);

int IGPUProgrammingServicesIGPUProgrammingServices();

int IGPUProgrammingServicesAddHighLevelShaderMaterial(char * vertexShaderProgram, char * vertexShaderEntryPointName, int vsCompileTarget, char * pixelShaderProgram, char * pixelShaderEntryPointName, int psCompileTarget, int callback, int baseMaterial, int userData);

int IGPUProgrammingServicesAddHighLevelShaderMaterialFromFiles(int vertexShaderProgramFileName, char * vertexShaderEntryPointName, int vsCompileTarget, int pixelShaderProgramFileName, char * pixelShaderEntryPointName, int psCompileTarget, int callback, int baseMaterial, int userData);

int IGPUProgrammingServicesAddHighLevelShaderMaterialFromFiles(int vertexShaderProgram, char * vertexShaderEntryPointName, int vsCompileTarget, int pixelShaderProgram, char * pixelShaderEntryPointName, int psCompileTarget, int callback, int baseMaterial, int userData);

int IGPUProgrammingServicesAddShaderMaterial(char * vertexShaderProgram, char * pixelShaderProgram, int callback, int baseMaterial, int userData);

int IGPUProgrammingServicesAddShaderMaterialFromFiles(int vertexShaderProgram, int pixelShaderProgram, int callback, int baseMaterial, int userData);

int IGPUProgrammingServicesAddShaderMaterialFromFiles(int vertexShaderProgramFileName, int pixelShaderProgramFileName, int callback, int baseMaterial, int userData);

int IParticleAnimatedMeshSceneNodeEmitterSetAnimatedMeshSceneNode(int node);

int IParticleAnimatedMeshSceneNodeEmitterSetUseNormalDirection(int useNormalDirection);

int IParticleAnimatedMeshSceneNodeEmitterSetNormalDirectionModifier(int normalDirectionModifier);

int IParticleAnimatedMeshSceneNodeEmitterSetEveryMeshVertex(int everyMeshVertex);

int IParticleAnimatedMeshSceneNodeEmitterGetAnimatedMeshSceneNode();

int IParticleAnimatedMeshSceneNodeEmitterIsUsingNormalDirection();

int IParticleAnimatedMeshSceneNodeEmitterGetNormalDirectionModifier();

int IParticleAnimatedMeshSceneNodeEmitterGetEveryMeshVertex();

int IParticleAnimatedMeshSceneNodeEmitterGetType();

int ITextureITexture(int name);

int ITextureMake_lower();

int ITextureLock(int readOnly);

int ITextureUnlock();

int ITextureGetOriginalSize();

int ITextureGetSize();

int ITextureGetDriverType();

int ITextureGetColorFormat();

int ITextureGetPitch();

int ITextureHasMipMaps();

int ITextureHasAlpha();

int ITextureRegenerateMipMapLevels();

int ITextureIsRenderTarget();

int ITextureGetName();

int IAnimatedMeshGetFrameCount();

int IAnimatedMeshGetMesh(int frame, int detailLevel, int startFrameLoop, int endFrameLoop);

int IAnimatedMeshGetMeshType();

int IGUIToolBarIGUIToolBar(int environment, int parent, int id, int EGUIET_TOOL_BAR, int arg5, int arg6, int arg7);

int IGUIToolBarAddButton(int id, char * text, char * tooltiptext, int img, int pressedimg, int isPushButton, int useAlphaChannel);

int ISceneCollisionManagerGetCollisionPoint(int ray, int selector, int outCollisionPoint, int outTriangle, int outNode);

int ISceneCollisionManagerGetCollisionResultPosition(int selector, int ellipsoidPosition, int ellipsoidRadius, int ellipsoidDirectionAndSpeed, int triout, int hitPosition, int outFalling, int outNode, int slidingSpeed, int gravityDirectionAndSpeed, int 0f);

int ISceneCollisionManagerGetRayFromScreenCoordinates(int pos, int camera);

int ISceneCollisionManagerGetScreenCoordinatesFrom3DPosition(int pos, int camera);

int ISceneCollisionManagerGetSceneNodeFromScreenCoordinatesBB(int pos, int idBitMask, int bNoDebugObjects, int root);

int ISceneCollisionManagerGetSceneNodeFromRayBB(int ray, int idBitMask, int bNoDebugObjects, int root);

int ISceneCollisionManagerGetSceneNodeFromCameraBB(int camera, int idBitMask, int bNoDebugObjects);

int ISceneCollisionManagerGetSceneNodeAndCollisionPointFromRay(int ray, int outCollisionPoint, int outTriangle, int idBitMask, int collisionRootNode, int noDebugObjects);

int ISceneUserDataSerializerISceneUserDataSerializer();

int ISceneUserDataSerializerOnCreateNode(int node);

int ISceneUserDataSerializerOnReadUserData(int forSceneNode, int userData);

int ISceneUserDataSerializerCreateUserData(int forSceneNode);

int IGUIImageListIGUIImageList();

int IGUIImageListDraw(int index, int destPos, int clip);

int IGUIImageListGetImageCount();

int IGUIImageListGetImageSize();

int IGUIMeshViewerIGUIMeshViewer(int environment, int parent, int id, int EGUIET_MESH_VIEWER, int arg5, int arg6, int arg7);

int IGUIMeshViewerSetMesh(int mesh);

int IGUIMeshViewerGetMesh();

int IGUIMeshViewerSetMaterial(int material);

int IGUIMeshViewerGetMaterial();

int IGUIScrollBarIGUIScrollBar(int environment, int parent, int id, int EGUIET_SCROLL_BAR, int arg5, int arg6, int arg7);

int IGUIScrollBarSetMax(int max);

int IGUIScrollBarGetMax();

int IGUIScrollBarSetMin(int max);

int IGUIScrollBarGetMin();

int IGUIScrollBarGetSmallStep();

int IGUIScrollBarSetSmallStep(int step);

int IGUIScrollBarGetLargeStep();

int IGUIScrollBarSetLargeStep(int step);

int IGUIScrollBarGetPos();

int IGUIScrollBarSetPos(int pos);

int IGUIListBoxIGUIListBox(int environment, int parent, int id, int EGUIET_LIST_BOX, int arg5, int arg6, int arg7);

int IGUIListBoxGetItemCount();

int IGUIListBoxGetListItem(int id);

int IGUIListBoxAddItem(char * text);

int IGUIListBoxAddItem(char * text, int icon);

int IGUIListBoxRemoveItem(int index);

int IGUIListBoxGetIcon(int index);

int IGUIListBoxSetSpriteBank(int bank);

int IGUIListBoxClear();

int IGUIListBoxGetSelected();

int IGUIListBoxSetSelected(int index);

int IGUIListBoxSetSelected(char * item);

int IGUIListBoxSetAutoScrollEnabled(int scroll);

int IGUIListBoxIsAutoScrollEnabled();

int IGUIListBoxSetItemOverrideColor(int index, int color);

int IGUIListBoxSetItemOverrideColor(int index, int colorType, int color);

int IGUIListBoxClearItemOverrideColor(int index);

int IGUIListBoxClearItemOverrideColor(int index, int colorType);

int IGUIListBoxHasItemOverrideColor(int index, int colorType);

int IGUIListBoxGetItemOverrideColor(int index, int colorType);

int IGUIListBoxGetItemDefaultColor(int colorType);

int IGUIListBoxSetItem(int index, char * text, int icon);

int IGUIListBoxInsertItem(int index, char * text, int icon);

int IGUIListBoxSwapItems(int index1, int index2);

int IGUIListBoxSetItemHeight(int height);

int IGUIListBoxSetDrawBackground(int draw);

int IGUIWindowIGUIWindow(int environment, int parent, int id, int EGUIET_WINDOW, int arg5, int arg6, int arg7);

int IGUIWindowGetCloseButton();

int IGUIWindowGetMinimizeButton();

int IGUIWindowGetMaximizeButton();

int IGUIWindowIsDraggable();

int IGUIWindowSetDraggable(int draggable);

int IGUIWindowSetDrawBackground(int draw);

int IGUIWindowGetDrawBackground();

int IGUIWindowSetDrawTitlebar(int draw);

int IGUIWindowGetDrawTitlebar();

int IGUIFileOpenDialogIGUIFileOpenDialog(int environment, int parent, int id, int EGUIET_FILE_OPEN_DIALOG, int arg5, int arg6, int arg7);

int IGUIFileOpenDialogGetFileName();

int IGUIFileOpenDialogGetDirectoryName();

int IParticleBoxEmitterSetBox(int box);

int IParticleBoxEmitterGetBox();

int IParticleBoxEmitterGetType();

int ICursorControlSetVisible(int visible);

int ICursorControlIsVisible();

int ICursorControlSetPosition(int pos);

int ICursorControlSetPosition(int x, int y);

int ICursorControlSetPosition(int pos);

int ICursorControlSetPosition(int x, int y);

int ICursorControlGetPosition();

int ICursorControlGetRelativePosition();

int ICursorControlSetReferenceRect(int rect);

int IBoneSceneNodeIBoneSceneNode(int parent, int mgr, int id, int arg4, int 1);

int IBoneSceneNodeGetBoneName();

int IBoneSceneNodeGetBoneIndex();

int IBoneSceneNodeSetAnimationMode(int mode);

int IBoneSceneNodeGetAnimationMode();

int IBoneSceneNodeGetBoundingBox();

int IBoneSceneNodeOnAnimate(int timeMs);

int IBoneSceneNodeRender();

int IBoneSceneNodeSetSkinningSpace(int space);

int IBoneSceneNodeGetSkinningSpace();

int IBoneSceneNodeUpdateAbsolutePositionOfAllChildren();

int IMaterialRendererServicesIMaterialRendererServices();

int IMaterialRendererServicesSetBasicRenderStates(int material, int lastMaterial, int resetAllRenderstates);

int IMaterialRendererServicesSetVertexShaderConstant(char * name, int floats, int count);

int IMaterialRendererServicesSetVertexShaderConstant(int data, int startRegister, int constantAmount);

int IMaterialRendererServicesSetPixelShaderConstant(char * name, int floats, int count);

int IMaterialRendererServicesSetPixelShaderConstant(int data, int startRegister, int constantAmount);

int IMaterialRendererServicesGetVideoDriver();

int IVertexListIVertexList();

int IVertexListStride();

int IVertexListSize();

int IVertexListPush_back(int element);

int IVertexListOperator(int index);

int IVertexListGetLast();

int IVertexListSet_used(int usedNow);

int IVertexListReallocate(int new_size);

int IVertexListAllocated_size();

int IVertexListPointer();

int IVertexListGetType();

int IVertexListStride();

int IVertexListSize();

int IVertexListPush_back(int element);

int IVertexListPush_back(int element);

int IVertexListOperator(int index);

int IVertexListGetLast();

int IVertexListSet_used(int usedNow);

int IVertexListSet_used();

int IVertexListReallocate(int new_size);

int IVertexListReallocate();

int IVertexListAllocated_size();

int IVertexListPointer();

int IVertexListGetType();

int IVertexListCVertexBuffer(int ), int 1);

int IVertexListSetType();

int IVertexListCVertexBuffer(int ), int 1);

int IVertexListSetType(int ));

int IVertexListReallocate(int ));

int IVertexListSize();

int IVertexListPush_back(int n);

int IVertexListCVertexBuffer();

int IVertexListSetType(int vertexType);

int IVertexListSwitch();

int IVertexListReallocate(int ));

int IVertexListSize();

int IVertexListPush_back(int n);

int IVertexListGetData();

int IVertexListGetType();

int IVertexListStride();

int IVertexListSize();

int IVertexListPush_back(int element);

int IVertexListPush_back();

int IVertexListOperator(int index);

int IVertexListGetLast();

int IVertexListSet_used(int usedNow);

int IVertexListSet_used();

int IVertexListReallocate(int new_size);

int IVertexListReallocate();

int IVertexListAllocated_size();

int IVertexListPointer();

int IVertexListGetHardwareMappingHint();

int IVertexListSetHardwareMappingHint(int NewMappingHint);

int IVertexListSetDirty();

int IVertexListGetChangedID();

int ISceneNodeAnimatorCameraFPSGetMoveSpeed();

int ISceneNodeAnimatorCameraFPSSetMoveSpeed(int moveSpeed);

int ISceneNodeAnimatorCameraFPSGetRotateSpeed();

int ISceneNodeAnimatorCameraFPSSetRotateSpeed(int rotateSpeed);

int ISceneNodeAnimatorCameraFPSSetKeyMap(int map, int count);

int ISceneNodeAnimatorCameraFPSSetVerticalMovement(int allow);

int ISceneNodeAnimatorCameraFPSSetInvertMouse(int invert);

int IGUITabIGUITab(int environment, int parent, int id, int EGUIET_TAB, int arg5, int arg6, int arg7);

int IGUITabGetNumber();

int IGUITabSetDrawBackground(int draw);

int IGUITabSetBackgroundColor(int c);

int IGUITabIsDrawingBackground();

int IGUITabGetBackgroundColor();

int IGUITabSetTextColor(int c);

int IGUITabGetTextColor();

int IGUITabControlIGUITabControl(int environment, int parent, int id, int EGUIET_TAB_CONTROL, int arg5, int arg6, int arg7);

int IGUITabControlAddTab(char * caption, int id);

int IGUITabControlGetTabCount();

int IGUITabControlGetTab(int idx);

int IGUITabControlSetActiveTab(int idx);

int IGUITabControlSetActiveTab(int tab);

int IGUITabControlGetActiveTab();

int IGUITabControlSetTabHeight(int height);

int IGUITabControlGetTabHeight();

int IGUITabControlSetTabMaxWidth(int width);

int IGUITabControlGetTabMaxWidth();

int IGUITabControlSetTabVerticalAlignment(int alignment);

int IGUITabControlGetTabVerticalAlignment();

int IGUITabControlSetTabExtraWidth(int extraWidth);

int IGUITabControlGetTabExtraWidth();

int IParticleCylinderEmitterSetCenter(int center);

int IParticleCylinderEmitterSetNormal(int normal);

int IParticleCylinderEmitterSetRadius(int radius);

int IParticleCylinderEmitterSetLength(int length);

int IParticleCylinderEmitterSetOutlineOnly(int outlineOnly);

int IParticleCylinderEmitterGetCenter();

int IParticleCylinderEmitterGetNormal();

int IParticleCylinderEmitterGetRadius();

int IParticleCylinderEmitterGetLength();

int IParticleCylinderEmitterGetOutlineOnly();

int IParticleCylinderEmitterGetType();

int IGUISpriteBankGetPositions();

int IGUISpriteBankGetSprites();

int IGUISpriteBankGetTextureCount();

int IGUISpriteBankGetTexture(int index);

int IGUISpriteBankAddTexture(int texture);

int IGUISpriteBankSetTexture(int index, int texture);

int IGUISpriteBankDraw2DSprite(int index, int pos, int clip, int color, int arg5, int arg6, int starttime, int currenttime, int loop, int center);

int IGUISpriteBankDraw2DSpriteBatch(int indices, int pos, int clip, int color, int arg5, int arg6, int starttime, int currenttime, int loop, int center);

int IMetaTriangleSelectorAddTriangleSelector(int toAdd);

int IMetaTriangleSelectorRemoveTriangleSelector(int toRemove);

int IMetaTriangleSelectorRemoveAllTriangleSelectors();

int IGUIImageIGUIImage(int environment, int parent, int id, int EGUIET_IMAGE, int arg5, int arg6, int arg7);

int IGUIImageSetImage(int image);

int IGUIImageSetColor(int color);

int IGUIImageSetScaleImage(int scale);

int IGUIImageSetUseAlphaChannel(int use);

int IGUIImageIsImageScaled();

int IGUIImageIsAlphaChannelUsed();

int IAnimatedMeshSceneNodeIAnimatedMeshSceneNode(int parent, int mgr, int id, int position, int arg5, int rotation, int arg8, int scale, int 0f, int parent, int arg13, int arg14, int arg15, int arg16);

int IAnimatedMeshSceneNodeIAnimatedMeshSceneNode();

int IAnimatedMeshSceneNodeSetCurrentFrame(int frame);

int IAnimatedMeshSceneNodeSetFrameLoop(int begin, int end);

int IAnimatedMeshSceneNodeSetAnimationSpeed(int framesPerSecond);

int IAnimatedMeshSceneNodeAddShadowVolumeSceneNode(int shadowMesh, int id, int zfailmethod, int infinity);

int IAnimatedMeshSceneNodeGetJointNode(char * jointName);

int IAnimatedMeshSceneNodeGetJointNode(int jointID);

int IAnimatedMeshSceneNodeGetJointCount();

int IAnimatedMeshSceneNodeGetMS3DJointNode(char * jointName);

int IAnimatedMeshSceneNodeGetXJointNode(char * jointName);

int IAnimatedMeshSceneNodeSetMD2Animation(int anim);

int IAnimatedMeshSceneNodeSetMD2Animation(char * animationName);

int IAnimatedMeshSceneNodeGetFrameNr();

int IAnimatedMeshSceneNodeGetStartFrame();

int IAnimatedMeshSceneNodeGetEndFrame();

int IAnimatedMeshSceneNodeSetLoopMode(int playAnimationLooped);

int IAnimatedMeshSceneNodeSetAnimationEndCallback(int callback);

int IAnimatedMeshSceneNodeSetReadOnlyMaterials(int readonly);

int IAnimatedMeshSceneNodeIsReadOnlyMaterials();

int IAnimatedMeshSceneNodeSetMesh(int mesh);

int IAnimatedMeshSceneNodeGetMesh();

int IAnimatedMeshSceneNodeGetMD3TagTransformation(int tagname);

int IAnimatedMeshSceneNodeSetJointMode(int mode);

int IAnimatedMeshSceneNodeSetTransitionTime(int Time);

int IAnimatedMeshSceneNodeAnimateJoints(int CalculateAbsolutePositions);

int IAnimatedMeshSceneNodeSetRenderFromIdentity(int On);

int IAnimatedMeshSceneNodeClone(int newParent, int newManager);

int IAnimationEndCallBackOnAnimationEnd(int node);

int IGUIColorSelectDialogIGUIColorSelectDialog(int environment, int parent, int id, int EGUIET_COLOR_SELECT_DIALOG, int arg5, int arg6, int arg7);

int IGUITableIGUITable(int environment, int parent, int id, int EGUIET_TABLE, int arg5, int arg6, int arg7);

int IGUITableAddColumn(char * caption, int columnIndex);

int IGUITableRemoveColumn(int columnIndex);

int IGUITableGetColumnCount();

int IGUITableSetActiveColumn(int idx, int doOrder);

int IGUITableGetActiveColumn();

int IGUITableGetActiveColumnOrdering();

int IGUITableSetColumnWidth(int columnIndex, int width);

int IGUITableSetResizableColumns(int resizable);

int IGUITableHasResizableColumns();

int IGUITableSetColumnOrdering(int columnIndex, int mode);

int IGUITableGetSelected();

int IGUITableSetSelected(int index);

int IGUITableGetRowCount();

int IGUITableAddRow(int rowIndex);

int IGUITableRemoveRow(int rowIndex);

int IGUITableClearRows();

int IGUITableSwapRows(int rowIndexA, int rowIndexB);

int IGUITableOrderRows(int columnIndex, int mode);

int IGUITableSetCellText(int rowIndex, int columnIndex, int text);

int IGUITableSetCellText(int rowIndex, int columnIndex, int text, int color);

int IGUITableSetCellData(int rowIndex, int columnIndex, int data);

int IGUITableSetCellColor(int rowIndex, int columnIndex, int color);

int IGUITableGetCellText(int rowIndex, int columnIndex);

int IGUITableGetCellData(int rowIndex, int columnIndex);

int IGUITableClear();

int IGUITableSetDrawFlags(int flags);

int IGUITableGetDrawFlags();

int ISceneNodeFactoryAddSceneNode(int type, int parent);

int ISceneNodeFactoryAddSceneNode(char * typeName, int parent);

int ISceneNodeFactoryGetCreatableSceneNodeTypeCount();

int ISceneNodeFactoryGetCreateableSceneNodeType(int idx);

int ISceneNodeFactoryGetCreateableSceneNodeTypeName(int idx);

int ISceneNodeFactoryGetCreateableSceneNodeTypeName(int type);

int IGUIFontDraw(int text, int position, int color, int hcenter, int vcenter, int clip);

int IGUIFontGetDimension(char * text);

int IGUIFontGetCharacterFromPos(char * text, int pixel_x);

int IGUIFontGetType();

int IGUIFontSetKerningWidth(int kerning);

int IGUIFontSetKerningHeight(int kerning);

int IGUIFontGetKerningWidth(char * thisLetter, char * previousLetter);

int IGUIFontGetKerningHeight();

int IGUIFontSetInvisibleCharacters(char * s);

int IMeshWriterIMeshWriter();

int IMeshWriterGetType();

int IMeshWriterWriteMesh(int file, int mesh, int flags);

int IGUIElementFactoryAddGUIElement(int type, int parent);

int IGUIElementFactoryAddGUIElement(char * typeName, int parent);

int IGUIElementFactoryGetCreatableGUIElementTypeCount();

int IGUIElementFactoryGetCreateableGUIElementType(int idx);

int IGUIElementFactoryGetCreateableGUIElementTypeName(int idx);

int IGUIElementFactoryGetCreateableGUIElementTypeName(int type);

int IShaderConstantSetCallBackOnSetMaterial(int material);

int IShaderConstantSetCallBackOnSetConstants(int services, int userData);

int IMeshManipulatorFlipSurfaces(int mesh);

int IMeshManipulatorSetVertexColorAlpha(int mesh, int alpha);

int IMeshManipulatorSetVertexColors(int mesh, int color);

int IMeshManipulatorRecalculateNormals(int mesh, int smooth, int angleWeighted);

int IMeshManipulatorRecalculateNormals(int buffer, int smooth, int angleWeighted);

int IMeshManipulatorScale(int mesh, int factor);

int IMeshManipulatorScale(int buffer, int factor);

int IMeshManipulatorScaleMesh(int mesh, int factor);

int IMeshManipulatorScaleTCoords(int mesh, int factor, int level);

int IMeshManipulatorScaleTCoords(int buffer, int factor, int level);

int IMeshManipulatorTransform(int mesh, int m);

int IMeshManipulatorTransform(int buffer, int m);

int IMeshManipulatorTransformMesh(int mesh, int m);

int IMeshManipulatorCreateMeshCopy(int mesh);

int IMeshManipulatorMakePlanarTextureMapping(int mesh, int resolution);

int IMeshManipulatorMakePlanarTextureMapping(int meshbuffer, int resolution);

int IMeshManipulatorMakePlanarTextureMapping(int buffer, int resolutionS, int resolutionT, int axis, int offset);

int IMeshManipulatorCreateMeshWithTangents(int mesh, int recalculateNormals, int smooth, int angleWeighted);

int IMeshManipulatorCreateMeshWith2TCoords(int mesh);

int IMeshManipulatorCreateMeshWith1TCoords(int mesh);

int IMeshManipulatorCreateMeshUniquePrimitives(int mesh);

int IMeshManipulatorCreateMeshWelded(int mesh, int tolerance);

int IMeshManipulatorGetPolyCount(int mesh);

int IMeshManipulatorGetPolyCount(int mesh);

int IMeshManipulatorCreateAnimatedMesh(int mesh, int type);

int SColorHSLSColorHSL(int h, int s, int l, int l);

int SColorHSLFromRGB(int color);

int SColorHSLToRGB(int color);

int SColorSColor();

int SColorSColor(int a, int r, int g);

int SColorSColor(int clr);

int SColorGetAlpha();

int SColorGetRed();

int SColorGetGreen();

int SColorGetBlue();

int SColorGetLuminance();

int SColorGetAverage();

int SColorSetAlpha(int a);

int SColor=(int 0x00ffffff);

int SColorSetRed(int r);

int SColor=(int 0xff00ffff);

int SColorSetGreen(int g);

int SColor=(int 0xffff00ff);

int SColorSetBlue(int b);

int SColor=(int 0xffffff00);

int SColorToA1R5G5B5();

int SColorToOpenGLColor(int dest);

int SColor=(int ();

int SColor=(int ();

int SColor=(int ();

int SColor=(int ();

int SColorSet(int a, int r, int g, int b);

int SColor=(int ));

int SColorSet(int col);

int SColor=(int other);

int SColor=(int other);

int SColor<(int other);

int SColor+(int other);

int SColorGetInterpolated(int other, int d);

int SColorClamp(int arg1, int f, int f);

int SColorGetInterpolated_quadratic(int c1, int c2, int d);

int SColorClamp(int arg1, int f, int f);

int SColorfSColorf(int ), int 0f);

int SColorfSColorf(int r, int g, int b, int a, int a);

int SColorfSColorf(int c);

int SColorfGetRed();

int SColorfGetGreen();

int SColorfGetBlue();

int SColorfGetAlpha();

int SColorfToSColor();

int SColorfSet(int rr, int gg, int bb);

int SColorfSet(int aa, int rr, int gg, int bb);

int SColorfGetInterpolated(int other, int d);

int SColorfClamp(int arg1, int f, int f);

int SColorfGetInterpolated_quadratic(int c1, int c2, int d);

int SColorfClamp(int arg1, int f, int f);

int SColorfSetColorComponentValue(int index, int value);

int SColorfSwitch();

int SColorfGetAlpha();

int SColorfGetRed();

int SColorfGetGreen();

int SColorfGetBlue();

int IImageLoaderIsALoadableFileExtension(int filename);

int IImageLoaderIsALoadableFileFormat(int file);

int IImageLoaderLoadImage(int file);

int ISceneNodeAnimatorAnimateNode(int node, int timeMs);

int ISceneNodeAnimatorCreateClone(int node, int newManager);

int ISceneNodeAnimatorIsEventReceiverEnabled();

int ISceneNodeAnimatorOnEvent(int event);

int ISceneNodeAnimatorGetType();

int ISceneNodeAnimatorHasFinished();

int IOSOperatorIOSOperator();

int IOSOperatorGetOperationSystemVersion();

int IOSOperatorCopyToClipboard(char * text);

int IOSOperatorGetTextFromClipboard();

int IOSOperatorGetProcessorSpeedMHz(int MHz);

int IOSOperatorGetSystemMemory(int Total, int Avail);

int IQ3LevelMeshGetShader(char * filename, int fileNameIsValid);

int IQ3LevelMeshGetShader(int index);

int IQ3LevelMeshGetEntityList();

int IImageWriterIsAWriteableFileExtension(int filename);

int IImageWriterWriteImage(int file, int image, int param);

int ILightManagerOnPreRender(int lightList);

int ILightManagerOnPostRender();

int ILightManagerOnRenderPassPreRender(int renderPass);

int ILightManagerOnRenderPassPostRender(int renderPass);

int ILightManagerOnNodePreRender(int node);

int ILightManagerOnNodePostRender(int node);

int IParticleAttractionAffectorSetPoint(int point);

int IParticleAttractionAffectorSetAttract(int attract);

int IParticleAttractionAffectorSetAffectX(int affect);

int IParticleAttractionAffectorSetAffectY(int affect);

int IParticleAttractionAffectorSetAffectZ(int affect);

int IParticleAttractionAffectorGetPoint();

int IParticleAttractionAffectorGetAttract();

int IParticleAttractionAffectorGetAffectX();

int IParticleAttractionAffectorGetAffectY();

int IParticleAttractionAffectorGetAffectZ();

int IParticleAttractionAffectorGetType();

int ILightSceneNodeILightSceneNode(int parent, int mgr, int id, int position, int arg5, int parent, int arg7, int arg8);

int ILightSceneNodeSetLightData(int light);

int ILightSceneNodeGetLightData();

int ILightSceneNodeGetLightData();

int ILightSceneNodeSetVisible(int isVisible);

int ILightSceneNodeSetRadius(int radius);

int ILightSceneNodeGetRadius();

int ILightSceneNodeSetLightType(int type);

int ILightSceneNodeGetLightType();

int ILightSceneNodeEnableCastShadow(int shadow);

int ILightSceneNodeGetCastShadow();

int IGUIComboBoxIGUIComboBox(int environment, int parent, int id, int EGUIET_COMBO_BOX, int arg5, int arg6, int arg7);

int IGUIComboBoxGetItemCount();

int IGUIComboBoxGetItem(int idx);

int IGUIComboBoxGetItemData(int idx);

int IGUIComboBoxGetIndexForItemData(int data);

int IGUIComboBoxAddItem(char * text, int data);

int IGUIComboBoxRemoveItem(int idx);

int IGUIComboBoxClear();

int IGUIComboBoxGetSelected();

int IGUIComboBoxSetSelected(int idx);

int IGUIComboBoxSetTextAlignment(int horizontal, int vertical);

int IGUIElementIGUIElement(int type, int environment, int parent, int id, int 0, int 1, int type);

int IGUIElementSetDebugName();

int IGUIElementIGUIElement();

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElementGetParent();

int IGUIElementGetRelativePosition();

int IGUIElementSetRelativePosition(int r);

int IGUIElementGetAbsolutePosition();

int IGUIElementD(int ));

int IGUIElementUpdateAbsolutePosition();

int IGUIElementSetRelativePosition(int position);

int IGUIElementGetSize();

int IGUIElementRectangle(int X, int Y, int Width, int Height);

int IGUIElementSetRelativePosition();

int IGUIElementSetRelativePositionProportional(int r);

int IGUIElementGetAbsolutePosition(int ();

int IGUIElementUpdateAbsolutePosition();

int IGUIElementGetAbsolutePosition();

int IGUIElementGetAbsoluteClippingRect();

int IGUIElementSetNotClipped(int noClip);

int IGUIElementUpdateAbsolutePosition();

int IGUIElementIsNotClipped();

int IGUIElementSetMaxSize(int size);

int IGUIElementUpdateAbsolutePosition();

int IGUIElementSetMinSize(int size);

int IGUIElementUpdateAbsolutePosition();

int IGUIElementSetAlignment(int left, int right, int top, int bottom);

int IGUIElementR(int ));

int IGUIElementD(int Width, int Height);

int IGUIElementUpdateAbsolutePosition();

int IGUIElementParentAbsolute(int arg1, int arg2, int arg3);

int IGUIElementWhile(int >Parent);

int IGUIElementGetWidth(int ();

int IGUIElementGetHeight(int ();

int IGUIElementSwitch();

int IGUIElement=(int fw);

int IGUIElementSwitch();

int IGUIElement=(int fw);

int IGUIElementSwitch();

int IGUIElement=(int fh);

int IGUIElementSwitch();

int IGUIElement=(int fh);

int IGUIElementGetWidth();

int IGUIElementGetHeight();

int IGUIElementRepair();

int IGUIElementClipAgainst();

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElementGetElementFromPoint(int point);

int IGUIElementGetLast();

int IGUIElementWhile(int it);

int IGUIElement=(int point);

int IGUIElementIsPointInside(int point);

int IGUIElementAddChild(int child);

int IGUIElementGrab();

int IGUIElementRemove();

int IGUIElementGetAbsolutePosition();

int IGUIElementPush_back();

int IGUIElementUpdateAbsolutePosition();

int IGUIElementRemoveChild(int child);

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElementErase();

int IGUIElementRemove();

int IGUIElementDraw();

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElement)(int ();

int IGUIElementOnPostRender(int timeMs);

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElement)(int timeMs);

int IGUIElementMove(int absoluteMovement);

int IGUIElementSetRelativePosition(int absoluteMovement);

int IGUIElementIsVisible();

int IGUIElementSetVisible(int visible);

int IGUIElementIsSubElement();

int IGUIElementSetSubElement(int subElement);

int IGUIElementSetTabStop(int enable);

int IGUIElementIsTabStop();

int IGUIElementSetTabOrder(int index);

int IGUIElementGetTabGroup();

int IGUIElementWhile(int >Parent);

int IGUIElementGetNextElement(int 1, int arg2, int arg3, int arg4, int arg5);

int IGUIElementGetTabOrder();

int IGUIElementGetTabOrder();

int IGUIElementSetTabGroup(int isGroup);

int IGUIElementIsTabGroup();

int IGUIElementGetTabGroup();

int IGUIElementWhile(int ret);

int IGUIElementIsEnabled();

int IGUIElementSetEnabled(int enabled);

int IGUIElementSetText(char * text);

int IGUIElementGetText();

int IGUIElementSetToolTipText(char * text);

int IGUIElementGetToolTipText();

int IGUIElementGetID();

int IGUIElementSetID(int id);

int IGUIElementOnEvent(int event);

int IGUIElementBringToFront(int element);

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElementErase();

int IGUIElementPush_back();

int IGUIElementGetChildren();

int IGUIElementGetElementFromId(int id, int searchchildren);

int IGUIElementBegin();

int IGUIElementEnd();

int IGUIElementIsMyChild(int child);

int IGUIElementWhile(int child);

int IGUIElementGetNextElement(int startOrder, int reverse, int group, int first, int closest, int includeInvisible);

int IGUIElement+(int 1);

int IGUIElementBegin();

int IGUIElementWhile(int it);

int IGUIElement=(int ();

int IGUIElementGetTabOrder();

int IGUIElementGetTabOrder();

int IGUIElementGetType();

int IGUIElementGetTypeName();

int IGUIElementSerializeAttributes(int out, int options);

int IGUIElementAddInt(int arg1);

int IGUIElementAddString(int arg1);

int IGUIElementAddRect(int arg1);

int IGUIElementAddPosition2d(int arg1, int Width);

int IGUIElementAddPosition2d(int arg1, int Width);

int IGUIElementAddEnum(int arg1, int arg2);

int IGUIElementAddEnum(int arg1, int arg2);

int IGUIElementAddEnum(int arg1, int arg2);

int IGUIElementAddEnum(int arg1, int arg2);

int IGUIElementAddBool(int arg1);

int IGUIElementAddBool(int arg1);

int IGUIElementAddBool(int arg1);

int IGUIElementAddBool(int arg1);

int IGUIElementAddInt(int arg1);

int IGUIElementAddBool(int arg1);

int IGUIElementDeserializeAttributes(int in, int options);

int IGUIElementSetID(int ));

int IGUIElementSetText(int ));

int IGUIElementSetVisible(int ));

int IGUIElementSetEnabled(int ));

int IGUIElementGetAttributeAsBool();

int IGUIElementGetAttributeAsBool();

int IGUIElementGetAttributeAsInt();

int IGUIElementGetAttributeAsPosition2d();

int IGUIElementSetMaxSize(int X);

int IGUIElementGetAttributeAsPosition2d();

int IGUIElementSetMinSize(int X);

int IGUIElementSetAlignment(int "LeftAlign", int "RightAlign", int "TopAlign", int "BottomAlign");

int IGUIElementSetRelativePosition(int ));

int IGUIElementSetNotClipped(int ));

int IAttributesGetAttributeCount();

int IAttributesGetAttributeName(int index);

int IAttributesGetAttributeType(char * attributeName);

int IAttributesGetAttributeType(int index);

int IAttributesGetAttributeTypeString(char * attributeName);

int IAttributesGetAttributeTypeString(int index);

int IAttributesExistsAttribute(char * attributeName);

int IAttributesFindAttribute(char * attributeName);

int IAttributesClear();

int IAttributesRead(int reader, int readCurrentElementOnly, char * elementName);

int IAttributesWrite(int writer, int writeXMLHeader, char * elementName);

int IAttributesAddInt(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int value);

int IAttributesGetAttributeAsInt(char * attributeName);

int IAttributesGetAttributeAsInt(int index);

int IAttributesSetAttribute(int index, int value);

int IAttributesAddFloat(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int value);

int IAttributesGetAttributeAsFloat(char * attributeName);

int IAttributesGetAttributeAsFloat(int index);

int IAttributesSetAttribute(int index, int value);

int IAttributesAddString(char * attributeName, char * value);

int IAttributesSetAttribute(char * attributeName, char * value);

int IAttributesGetAttributeAsString(char * attributeName);

int IAttributesGetAttributeAsString(char * attributeName, char * target);

int IAttributesGetAttributeAsString(int index);

int IAttributesSetAttribute(int index, char * value);

int IAttributesAddString(char * attributeName, char * value);

int IAttributesSetAttribute(char * attributeName, char * value);

int IAttributesGetAttributeAsStringW(char * attributeName);

int IAttributesGetAttributeAsStringW(char * attributeName, char * target);

int IAttributesGetAttributeAsStringW(int index);

int IAttributesSetAttribute(int index, char * value);

int IAttributesAddBinary(char * attributeName, int data, int dataSizeInBytes);

int IAttributesSetAttribute(char * attributeName, int data, int dataSizeInBytes);

int IAttributesGetAttributeAsBinaryData(char * attributeName, int outData, int maxSizeInBytes);

int IAttributesGetAttributeAsBinaryData(int index, int outData, int maxSizeInBytes);

int IAttributesSetAttribute(int index, int data, int dataSizeInBytes);

int IAttributesAddArray(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int value);

int IAttributesGetAttributeAsArray(char * attributeName);

int IAttributesGetAttributeAsArray(int index);

int IAttributesSetAttribute(int index, int value);

int IAttributesAddBool(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int value);

int IAttributesGetAttributeAsBool(char * attributeName);

int IAttributesGetAttributeAsBool(int index);

int IAttributesSetAttribute(int index, int value);

int IAttributesAddEnum(char * attributeName, char * enumValue, char * enumerationLiterals);

int IAttributesAddEnum(char * attributeName, int enumValue, char * enumerationLiterals);

int IAttributesSetAttribute(char * attributeName, char * enumValue, char * enumerationLiterals);

int IAttributesGetAttributeAsEnumeration(char * attributeName);

int IAttributesGetAttributeAsEnumeration(char * attributeName, char * enumerationLiteralsToUse);

int IAttributesGetAttributeAsEnumeration(int index, char * enumerationLiteralsToUse);

int IAttributesGetAttributeAsEnumeration(int index);

int IAttributesGetAttributeEnumerationLiteralsOfEnumeration(char * attributeName, int outLiterals);

int IAttributesGetAttributeEnumerationLiteralsOfEnumeration(int index, int outLiterals);

int IAttributesSetAttribute(int index, char * enumValue, char * enumerationLiterals);

int IAttributesAddColor(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int color);

int IAttributesGetAttributeAsColor(char * attributeName);

int IAttributesGetAttributeAsColor(int index);

int IAttributesSetAttribute(int index, int color);

int IAttributesAddColorf(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int color);

int IAttributesGetAttributeAsColorf(char * attributeName);

int IAttributesGetAttributeAsColorf(int index);

int IAttributesSetAttribute(int index, int color);

int IAttributesAddVector3d(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsVector3d(char * attributeName);

int IAttributesGetAttributeAsVector3d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddPosition2d(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsPosition2d(char * attributeName);

int IAttributesGetAttributeAsPosition2d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddRect(char * attributeName, int value);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsRect(char * attributeName);

int IAttributesGetAttributeAsRect(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddMatrix(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsMatrix(char * attributeName);

int IAttributesGetAttributeAsMatrix(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddQuaternion(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsQuaternion(char * attributeName);

int IAttributesGetAttributeAsQuaternion(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddBox3d(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsBox3d(char * attributeName);

int IAttributesGetAttributeAsBox3d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddPlane3d(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsPlane3d(char * attributeName);

int IAttributesGetAttributeAsPlane3d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddTriangle3d(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsTriangle3d(char * attributeName);

int IAttributesGetAttributeAsTriangle3d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddLine2d(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsLine2d(char * attributeName);

int IAttributesGetAttributeAsLine2d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddLine3d(char * attributeName, int v);

int IAttributesSetAttribute(char * attributeName, int v);

int IAttributesGetAttributeAsLine3d(char * attributeName);

int IAttributesGetAttributeAsLine3d(int index);

int IAttributesSetAttribute(int index, int v);

int IAttributesAddTexture(char * attributeName, int texture);

int IAttributesSetAttribute(char * attributeName, int texture);

int IAttributesGetAttributeAsTexture(char * attributeName);

int IAttributesGetAttributeAsTexture(int index);

int IAttributesSetAttribute(int index, int texture);

int IAttributesAddUserPointer(char * attributeName, int userPointer);

int IAttributesSetAttribute(char * attributeName, int userPointer);

int IAttributesGetAttributeAsUserPointer(char * attributeName);

int IAttributesGetAttributeAsUserPointer(int index);

int IAttributesSetAttribute(int index, int userPointer);

int IXMLWriterIXMLWriter();

int IXMLWriterWriteXMLHeader();

int IXMLWriterWriteElement(char * name, int empty, char * attr1Name, char * attr1Value, char * attr2Name, char * attr2Value, char * attr3Name, char * attr3Value, char * attr4Name, char * attr4Value, char * attr5Name, char * attr5Value);

int IXMLWriterWriteElement(char * name, int empty, int names, int values);

int IXMLWriterWriteComment(char * comment);

int IXMLWriterWriteClosingTag(char * name);

int IXMLWriterWriteText(char * text);

int IXMLWriterWriteLineBreak();

#ifdef __cplusplus
}
#endif
