#ifdef __cplusplus
extern "C" {
#endif 

char* getError();

int GetEvent();
char GetCharEvent();

int DeviceSetEventReceiver(int control);
int DeviceSetWindowCaption(char* caption);
int DeviceRun();
int DeviceDrop();
int IrrCreateDevice (int dtype, int sizex, int sizey, int fullscreen, int stencilbuffer, int vsync);

int GuiAddStaticText(char* text, int topleftx, int toplefty, int lowrightx, int lowrighty);
int GuiDrawAll();

int VideoBeginScene(int a, int b, int colr, int colg, int colb, int colt);
int VideoEndScene();
int VideoGetTexture(char* texture);

int SceneDrawAll();
int SceneGetMesh(char* mesh);
int SceneAddAnimatedMeshSceneNode(int pMesh);
int SceneAddCameraSceneNode(int posx, int posy, int posz, int tox, int toy, int toz);

int NodeSetMaterialTexture(int pNode, int pTexture);
int NodeSetMaterialFlag(int pNode, int mflag, int value);
int NodeSetMd2Animation(int pNode, int atype);

int FileSystemAddZipFileArchive(char *file);
int SceneAddOctTreeSceneNode(int pMesh);
int SceneNodeSetPosition( int posx, int posy, int posz, int pNode);
int SceneAddCameraSceneNodeFPS ();

int GetVirtualTime ();

#ifdef __cplusplus
}
#endif
