#ifndef _irrlicht_interface_ffi_h
#define _irrlicht_interface_ffi_h
#include "irrlicht_interface.h" 
#include "HsFFI.h"
extern HsInt prim_eDT_NULL();
extern HsInt prim_eDT_SOFTWARE();
extern HsInt prim_eDT_BURNINGSVIDEO();
extern HsInt prim_eDT_DIRECT3D8();
extern HsInt prim_eDT_DIRECT3D9();
extern HsInt prim_eDT_OPENGL();
extern HsInt prim_eMF_WIREFRAME();
extern HsInt prim_eMF_POINTCLOUD();
extern HsInt prim_eMF_GOURARD_SHADING();
extern HsInt prim_eMF_LIGHTING();
extern HsInt prim_eMF_ZBUFFER();
extern HsInt prim_eMF_ZWRITE_ENABLE();
extern HsInt prim_eMF_BACK_FACE_CULLING();
extern HsInt prim_eMF_FRONT_FACE_CULLING();
extern HsInt prim_eMF_BILINEAR_FILTER();
extern HsInt prim_eMF_TRILINEAR_FILTER();
extern HsInt prim_eMF_ANISOTROPIC_FILTER();
extern HsInt prim_eMF_FOG_ENABLE();
extern HsInt prim_eMF_NORMALIZE_NORMALS();
extern HsInt prim_eMF_TEXTURE_WRAP();
extern HsInt prim_eMF_ANTI_ALIASING();
extern HsInt prim_eMF_COLOR_MASK();
extern HsInt prim_eMF_COLOR_MATERIAL();
extern HsInt prim_eMAT_STAND();
extern HsInt prim_eMAT_RUN();
extern HsInt prim_eMAT_ATTACK();
extern HsInt prim_eMAT_PAIN_A();
extern HsInt prim_eMAT_PAIN_B();
extern HsInt prim_eMAT_PAIN_C();
extern HsInt prim_eMAT_JUMP();
extern HsInt prim_eMAT_FLIP();
extern HsInt prim_eMAT_SALUTE();
extern HsInt prim_eMAT_FALLBACK();
extern HsInt prim_eMAT_WAVE();
extern HsInt prim_eMAT_POINT();
extern HsInt prim_eMAT_CROUCH_STAND();
extern HsInt prim_eMAT_CROUCH_WALK();
extern HsInt prim_eMAT_CROUCH_ATTACK();
extern HsInt prim_eMAT_CROUCH_PAIN();
extern HsInt prim_eMAT_CROUCH_DEATH();
extern HsInt prim_eMAT_DEATH_FALLBACK();
extern HsInt prim_eMAT_DEATH_FALLFORWARD();
extern HsInt prim_eMAT_DEATH_FALLBACKSLOW();
extern HsInt prim_eMAT_BOOM();
extern HsInt prim_eMAT_COUNT();
extern HsInt prim_getEvent();
extern HsChar prim_getCharEvent();
extern void* prim_deviceSetEventReceiver(HsInt control);
extern int access_prim_deviceSetEventReceiver_gc_failed(HsPtr);
extern void* access_prim_deviceSetEventReceiver_gc_failstring(HsPtr);
extern void* prim_deviceSetWindowCaption(char * caption);
extern int access_prim_deviceSetWindowCaption_gc_failed(HsPtr);
extern void* access_prim_deviceSetWindowCaption_gc_failstring(HsPtr);
extern void* prim_deviceRun();
extern HsInt access_prim_deviceRun_result(HsPtr);
extern int access_prim_deviceRun_gc_failed(HsPtr);
extern void* access_prim_deviceRun_gc_failstring(HsPtr);
extern void* prim_deviceDrop();
extern int access_prim_deviceDrop_gc_failed(HsPtr);
extern void* access_prim_deviceDrop_gc_failstring(HsPtr);
extern void* prim_irrCreateDevice(HsInt dtype,HsInt sizex,HsInt sizey,HsInt fullscreen,HsInt stencilbuffer,HsInt vsync);
extern int access_prim_irrCreateDevice_gc_failed(HsPtr);
extern void* access_prim_irrCreateDevice_gc_failstring(HsPtr);
extern void* prim_guiAddStaticText(char * text,HsInt topleftx,HsInt toplefty,HsInt lowrightx,HsInt lowrighty);
extern int access_prim_guiAddStaticText_gc_failed(HsPtr);
extern void* access_prim_guiAddStaticText_gc_failstring(HsPtr);
extern void* prim_guiDrawAll();
extern int access_prim_guiDrawAll_gc_failed(HsPtr);
extern void* access_prim_guiDrawAll_gc_failstring(HsPtr);
extern void* prim_videoBeginScene(HsInt a,HsInt b,HsInt colr,HsInt colg,HsInt colb,HsInt colt);
extern int access_prim_videoBeginScene_gc_failed(HsPtr);
extern void* access_prim_videoBeginScene_gc_failstring(HsPtr);
extern void* prim_videoEndScene();
extern int access_prim_videoEndScene_gc_failed(HsPtr);
extern void* access_prim_videoEndScene_gc_failstring(HsPtr);
extern void* prim_videoGetTexture(char * texture);
extern HsInt access_prim_videoGetTexture_pTexture(HsPtr);
extern int access_prim_videoGetTexture_gc_failed(HsPtr);
extern void* access_prim_videoGetTexture_gc_failstring(HsPtr);
extern void* prim_sceneDrawAll();
extern int access_prim_sceneDrawAll_gc_failed(HsPtr);
extern void* access_prim_sceneDrawAll_gc_failstring(HsPtr);
extern void* prim_sceneGetMesh(char * mesh);
extern HsInt access_prim_sceneGetMesh_pMesh(HsPtr);
extern int access_prim_sceneGetMesh_gc_failed(HsPtr);
extern void* access_prim_sceneGetMesh_gc_failstring(HsPtr);
extern void* prim_sceneAddAnimatedMeshSceneNode(HsInt pMesh);
extern HsInt access_prim_sceneAddAnimatedMeshSceneNode_pNode(HsPtr);
extern int access_prim_sceneAddAnimatedMeshSceneNode_gc_failed(HsPtr);
extern void* access_prim_sceneAddAnimatedMeshSceneNode_gc_failstring(HsPtr);
extern void* prim_sceneAddCameraSceneNode(HsInt posx,HsInt posy,HsInt posz,HsInt tox,HsInt toy,HsInt toz);
extern int access_prim_sceneAddCameraSceneNode_gc_failed(HsPtr);
extern void* access_prim_sceneAddCameraSceneNode_gc_failstring(HsPtr);
extern void* prim_sceneAddOctTreeSceneNode(HsInt pMesh);
extern HsInt access_prim_sceneAddOctTreeSceneNode_pNode(HsPtr);
extern int access_prim_sceneAddOctTreeSceneNode_gc_failed(HsPtr);
extern void* access_prim_sceneAddOctTreeSceneNode_gc_failstring(HsPtr);
extern void* prim_sceneNodeSetPosition(HsInt posx,HsInt posy,HsInt posz,HsInt pNode);
extern int access_prim_sceneNodeSetPosition_gc_failed(HsPtr);
extern void* access_prim_sceneNodeSetPosition_gc_failstring(HsPtr);
extern void* prim_sceneAddCameraSceneNodeFPS();
extern int access_prim_sceneAddCameraSceneNodeFPS_gc_failed(HsPtr);
extern void* access_prim_sceneAddCameraSceneNodeFPS_gc_failstring(HsPtr);
extern void* prim_nodeSetMaterialTexture(HsInt pNode,HsInt pTexture);
extern int access_prim_nodeSetMaterialTexture_gc_failed(HsPtr);
extern void* access_prim_nodeSetMaterialTexture_gc_failstring(HsPtr);
extern void* prim_nodeSetMaterialFlag(HsInt pNode,HsInt mflag,HsInt value);
extern int access_prim_nodeSetMaterialFlag_gc_failed(HsPtr);
extern void* access_prim_nodeSetMaterialFlag_gc_failstring(HsPtr);
extern void* prim_nodeSetMd2Animation(HsInt pNode,HsInt atype);
extern int access_prim_nodeSetMd2Animation_gc_failed(HsPtr);
extern void* access_prim_nodeSetMd2Animation_gc_failstring(HsPtr);
extern void* prim_fileSystemAddZipFileArchive(char * file);
extern int access_prim_fileSystemAddZipFileArchive_gc_failed(HsPtr);
extern void* access_prim_fileSystemAddZipFileArchive_gc_failstring(HsPtr);
extern HsInt prim_getVirtualTime();
#endif
